<?php

namespace App\Http\Controllers;

use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Hash;
use App\Http\Controllers\Controller;
use App\Util;
use App\Models\UserAccount;

class SystemController extends Controller {

    public function home()
    {
        return view('home');
    }

    public function profile()
    {
        $id = Auth::id();
        $userAccount = UserAccount::query()
            ->select('UserAccount.name', 'UserAccount.email', 'UserAccount.gender', 'UserAccount.address', 'UserAccount.dateOfBirth', 'UserAccount.nationality', 'UserAccount.phoneNumber', 'UserAccount.parentPhoneNumber', 'UserAccount.note')
            ->where('UserAccount.id', $id)
            ->first();
        return view('profile', [ 'userAccount' => $userAccount ]);
    }

    public function updateProfile()
    {
        $this->validate(request(), [
            'name' => 'required|max:50',
            'email' => 'required|max:50',
            'password' => 'max:100',
            'gender' => 'max:50',
            'address' => 'max:50',
            'phoneNumber' => 'max:50',
            'parentPhoneNumber' => 'max:50',
            'note' => 'max:50'
        ]);
        $id = Auth::id();
        $userAccount = UserAccount::find($id);
        UserAccount::find($id)->update([
            'name' => request()->input('name'),
            'email' => request()->input('email'),
            'password' => request()->input('password') ? Hash::make(request()->input('password')) : $userAccount->password,
            'gender' => request()->input('gender'),
            'address' => request()->input('address'),
            'dateOfBirth' => Util::getDate(request()->input('dateOfBirth')),
            'nationality' => request()->input('nationality'),
            'phoneNumber' => request()->input('phoneNumber'),
            'parentPhoneNumber' => request()->input('parentPhoneNumber'),
            'note' => request()->input('note')
        ]);
        return redirect('/home');
    }

    public function stack() {
        return 'Laravel 11 + MySQL';
    }
}