<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Center extends Model
{
    use HasFactory;

    protected $fillable = [
        'country', 
        'city', 
        'is_messaging_enabled', 
        'can_teacher_remove_students', 
        'request_permission_for_halaqa_creation', 
        'phone_number', 
        'created_by_id', 
        'street', 
        'can_teachers_edit_students', 
        'readable_id', 
        'name', 
        'state', 
        'department', 
        'student_roaming', 
        'next_halaqa_readable_id'
    ];

    // Relationship with User (creator)
    public function creator()
    {
        return $this->belongsTo(User::class, 'created_by_id');
    }
}

