<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use App\Util;

class Centers extends Model
{
    protected $table = 'centers';
    protected $primaryKey = 'id';
    protected $fillable = [ 'country', 'city', 'is_messaging_enabled', 'can_teacher_remove_students', 'request_permission_for_halaqa_creation', 'phone_number', 'created_by_id', 'street', 'can_teachers_edit_students', 'readable_id', 'name', 'state', 'department', 'student_roaming', 'next_halaqa_readable_id', 'created_at', 'updated_at' ];
    public $incrementing = true;
    public $timestamps = false;

    public function getCreatedAtAttribute($value)
    {
        return Util::formatDateTime($value);
    }

    public function getUpdatedAtAttribute($value)
    {
        return Util::formatDateTime($value);
    }
}