<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use App\Util;

class Evaluation extends Model
{
    protected $table = 'evaluation';
    protected $primaryKey = 'id';
    protected $fillable = [ 'instanceId', 'fromAyaMem', 'fromSouraMem', 'toAyaMem', 'toSouraMem', 'mark', 'pages', 'fromAyaReh', 'fromSouraReh', 'toAyaReh', 'toSouraReh', 'studentId', 'create_date', 'update_date' ];
    public $incrementing = true;
    public $timestamps = false;

    public function getCreateDateAttribute($value)
    {
        return Util::formatDateTime($value);
    }

    public function getUpdateDateAttribute($value)
    {
        return Util::formatDateTime($value);
    }
}