<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateHalaqatTable extends Migration
{
    public function up()
    {
        Schema::create('halaqat', function (Blueprint $table) {
            $table->id();
            $table->foreignId('center_id');
            $table->string('level', 10);
            $table->foreignId('created_by_id')->nullable()->constrained('users')->onDelete('set null');
            $table->string('readable_id', 20);
            $table->string('name');
            $table->text('description')->nullable();
            $table->enum('state', ['approved', 'pending', 'rejected']);
            $table->timestamps();
        });
    }

    public function down()
    {
        Schema::dropIfExists('halaqat');
    }
}
