<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateCentersTable extends Migration
{
    public function up()
    {
        Schema::create('centers', function (Blueprint $table) {
            $table->id();
            $table->string('country', 2); // Store country codes like 'LB'
            $table->string('city', 100);
            $table->boolean('is_messaging_enabled')->default(false);
            $table->boolean('can_teacher_remove_students')->default(false);
            $table->boolean('request_permission_for_halaqa_creation')->default(false);
            $table->string('phone_number', 20)->nullable();
            $table->foreignId('created_by_id')->nullable()->constrained('users')->onDelete('set null');
            $table->string('street', 100)->nullable();
            $table->boolean('can_teachers_edit_students')->default(false);
            $table->string('readable_id', 20);
            $table->string('name', 150);
            $table->enum('state', ['approved', 'pending', 'rejected']);
            $table->string('department', 150)->nullable();
            $table->boolean('student_roaming')->default(false);
            $table->integer('next_halaqa_readable_id')->default(1000);
            $table->timestamps(); // Includes both created_at and updated_at
        });
    }

    public function down()
    {
        Schema::dropIfExists('centers');
    }
}
