@extends('layout')
@section('content')
<div class="ui container">
    <div class="center-container">
        <div class="ui centered grid">
            <div class="ui centered card">
                <div class="content">
                    <div class="header">
                        <h3 class="ui card-title">Change Password</h3>
                    </div>
                    <div class="description"><i class="login eva eva-person-outline"></i>
                        <form method="post" action="/changePassword/{{$token}}" class="ui form" onsubmit="return validateForm()">
                            @csrf
                            <div class="ui grid">
                                <div class="sixteen wide column">
                                    <div class="field">
                                        <label for="user_account_password">Password</label>
                                        <input id="user_account_password" name="password" class="ui input" value="{{old('password')}}" type="password" required maxlength="100" />
                                    </div>
                                </div>
                                <div class="sixteen wide column">
                                    <div class="field">
                                        <label for="user_account_password2">Confirm password</label>
                                        <input data-match="user_account_password" id="user_account_password2" name="password2" class="ui input" value="{{old('password')}}" type="password" required maxlength="100" />
                                    </div>
                                </div>
                                <div class="sixteen wide column">
                                    <button class="ui button small  fluid">Change Password</button>
                                </div>
                            </div>
                        </form>
                        @if(isset($success))<span class="ui green text">Change password done</span>@endif
                        @if(isset($error))<span class="ui red text">Token not found!</span>@endif
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<script>
    initPage(true)
</script>
@endsection