@extends('layout')
@section('content')
<div class="ui container">
    <div class="center-container">
        <div class="ui centered grid">
            <div class="ui centered card">
                <div class="content">
                    <div class="header">
                        <h3 class="ui card-title">Login</h3>
                    </div>
                    <div class="description"><i class="login eva eva-person-outline"></i>
                        <form method="post" action="/login" class="ui form">
                            @csrf
                            <div class="ui grid">
                                <div class="sixteen wide column">
                                    <div class="field">
                                        <label for="user_account_name">User Name</label>
                                        <input id="user_account_name" name="name" class="ui input" value="{{old('name')}}" required maxlength="50" />
                                    </div>
                                </div>
                                <div class="sixteen wide column">
                                    <div class="field">
                                        <label for="user_account_password">Password</label>
                                        <input id="user_account_password" name="password" class="ui input" value="{{old('password')}}" type="password" required maxlength="100" />
                                    </div>
                                </div>
                                <div class="sixteen wide column">
                                    <button class="ui button small  fluid">Login</button>
                                    <a href="/resetPassword">Forgot Password?</a>
                                </div>
                            </div>
                        </form>
                        @foreach($errors->all() as $message )<span class="ui red text">{{$message}}</span>@endforeach
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<script>
    initPage(true)
</script>
@endsection