@extends('layout')
@section('content')
<div class="ui container">
    <form method="post" action="/centerses?ref={{urlencode($ref)}}" class="ui form">
        @csrf
        <div class="ui grid">
            <input type="hidden" id="centers_id" name="id" value="{{old('id')}}" />
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="centers_department">Department</label>
                    <select id="centers_department" name="department" class="ui dropdown">
                        <option></option>
                        @foreach ($departmentses as $departments)
                        <option value="{{$departments->id}}" {{old('department') == $departments->id ? 'selected' : ''}}>{{$departments->name}}</option>
                        @endforeach
                    </select>
                </div>
                @error('department')<span class="ui red text">{{$message}}</span>@enderror
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="centers_country">Country</label>
                    <select id="centers_country" name="country" class="ui dropdown">
                        <option></option>
                        @foreach ($countries as $country)
                        <option value="{{$country->id}}" {{old('country') == $country->id ? 'selected' : ''}}>{{$country->name}}</option>
                        @endforeach
                    </select>
                </div>
                @error('country')<span class="ui red text">{{$message}}</span>@enderror
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="centers_name">Name</label>
                    <input id="centers_name" name="name" class="ui input" value="{{old('name')}}" maxlength="50" />
                </div>
                @error('name')<span class="ui red text">{{$message}}</span>@enderror
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="centers_state">State</label>
                    <select id="centers_state" name="state" class="ui dropdown">
                        <option value="1" {{old('state') == 1 ? 'selected' : ''}}>Approved</option>
                        <option value="2" {{old('state') == 2 ? 'selected' : ''}}>Pending</option>
                        <option value="3" {{old('state') == 3 ? 'selected' : ''}}>Rejected</option>
                    </select>
                </div>
                @error('state')<span class="ui red text"></span>@enderror
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="centers_city">City</label>
                    <input id="centers_city" name="city" class="ui input" value="{{old('city')}}" maxlength="50" />
                </div>
                @error('city')<span class="ui red text">{{$message}}</span>@enderror
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="centers_street">Street</label>
                    <input id="centers_street" name="street" class="ui input" value="{{old('street')}}" maxlength="50" />
                </div>
                @error('street')<span class="ui red text">{{$message}}</span>@enderror
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="centers_phone_number">Phone Number</label>
                    <input id="centers_phone_number" name="phone_number" class="ui input" value="{{old('phone_number')}}" maxlength="50" />
                </div>
                @error('phone_number')<span class="ui red text">{{$message}}</span>@enderror
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="centers_is_messaging_enabled">Is Messaging Enabled</label>
                    <select id="centers_is_messaging_enabled" name="is_messaging_enabled" class="ui dropdown">
                        <option value="1" {{old('is_messaging_enabled') == 1 ? 'selected' : ''}}>True</option>
                        <option value="0" {{old('is_messaging_enabled') == 0 ? 'selected' : ''}}>False</option>
                    </select>
                </div>
                @error('is_messaging_enabled')<span class="ui red text"></span>@enderror
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="centers_can_teacher_remove_students">Can Teacher Remove Students</label>
                    <select id="centers_can_teacher_remove_students" name="can_teacher_remove_students" class="ui dropdown">
                        <option value="1" {{old('can_teacher_remove_students') == 1 ? 'selected' : ''}}>True</option>
                        <option value="0" {{old('can_teacher_remove_students') == 0 ? 'selected' : ''}}>False</option>
                    </select>
                </div>
                @error('can_teacher_remove_students')<span class="ui red text"></span>@enderror
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="centers_request_permission_for_halaqa_creation">Request Permission For Halaqa Creation</label>
                    <select id="centers_request_permission_for_halaqa_creation" name="request_permission_for_halaqa_creation" class="ui dropdown">
                        <option value="1" {{old('request_permission_for_halaqa_creation') == 1 ? 'selected' : ''}}>True</option>
                        <option value="0" {{old('request_permission_for_halaqa_creation') == 0 ? 'selected' : ''}}>False</option>
                    </select>
                </div>
                @error('request_permission_for_halaqa_creation')<span class="ui red text"></span>@enderror
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="centers_can_teachers_edit_students">Can Teachers Edit Students</label>
                    <select id="centers_can_teachers_edit_students" name="can_teachers_edit_students" class="ui dropdown">
                        <option value="1" {{old('can_teachers_edit_students') == 1 ? 'selected' : ''}}>True</option>
                        <option value="0" {{old('can_teachers_edit_students') == 0 ? 'selected' : ''}}>False</option>
                    </select>
                </div>
                @error('can_teachers_edit_students')<span class="ui red text"></span>@enderror
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="centers_readable_id">Readable Id</label>
                    <input id="centers_readable_id" name="readable_id" class="ui input" value="{{old('readable_id')}}" maxlength="50" />
                </div>
                @error('readable_id')<span class="ui red text">{{$message}}</span>@enderror
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="centers_student_roaming">Student Roaming</label>
                    <input id="centers_student_roaming" name="student_roaming" class="ui input" value="{{old('student_roaming')}}" type="number" />
                </div>
                @error('student_roaming')<span class="ui red text">{{$message}}</span>@enderror
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="centers_next_halaqa_readable_id">Next Halaqa Readable Id</label>
                    <input id="centers_next_halaqa_readable_id" name="next_halaqa_readable_id" class="ui input" value="{{old('next_halaqa_readable_id')}}" type="number" />
                </div>
                @error('next_halaqa_readable_id')<span class="ui red text">{{$message}}</span>@enderror
            </div>
            <div class="sixteen wide column">
                <a class="ui button small" href="{{$ref}}">Cancel</a>
                <button class="ui button small primary">Submit</button>
            </div>
        </div>
    </form>
</div>
<script>
    initPage(true)
</script>
@endsection