@extends('layout')
@section('content')
<div class="ui container">
    <div class="sixteen wide column">
        <h3>Centers List</h3><input id="searchbar_toggle" type="checkbox" />
        <div id="searchbar" class="ui grid margin-bottom form">
            <div class="sixteen wide three wide computer column">
                <select id="search_col" onchange="searchChange()" class="ui dropdown">
                    <option value="centers.id" data-type="number" {{request()->input('sc') == 'centers.id' ? 'selected' : ''}}>Centers Id</option>
                    <option value="centers.country" data-type="number" {{request()->input('sc') == 'centers.country' ? 'selected' : ''}}>Centers Country</option>
                    <option value="departments.name" {{request()->input('sc') == 'departments.name' ? 'selected' : ''}}>Departments Name</option>
                    <option value="centers.name" {{request()->input('sc') == 'centers.name' ? 'selected' : ''}}>Centers Name</option>
                    <option value="centers.created_at" data-type="datetime" {{request()->input('sc') == 'centers.created_at' ? 'selected' : ''}}>Centers Created At</option>
                </select>
            </div>
            <div class="sixteen wide three wide computer column">
                <select id="search_oper" class="ui dropdown">
                    <option value="c" {{request()->input('so') == 'c' ? 'selected' : ''}}>Contains</option>
                    <option value="e" {{request()->input('so') == 'e' ? 'selected' : ''}}>Equals</option>
                    <option value="g" {{request()->input('so') == 'g' ? 'selected' : ''}}>&gt;</option>
                    <option value="ge" {{request()->input('so') == 'ge' ? 'selected' : ''}}>&gt;&#x3D;</option>
                    <option value="l" {{request()->input('so') == 'l' ? 'selected' : ''}}>&lt;</option>
                    <option value="le" {{request()->input('so') == 'le' ? 'selected' : ''}}>&lt;&#x3D;</option>
                </select>
            </div>
            <div class="sixteen wide three wide computer column">
                <input id="search_word" autocomplete="off" onkeyup="search(event)" value="{{request()->input('sw')}}" class="ui input" />
            </div>
            <div class="sixteen wide seven wide computer column">
                <button class="ui button primary small" onclick="search()">Search</button>
                <button class="ui button small" onclick="clearSearch()">Clear</button>
            </div>
        </div>
        <table class="ui table small striped selectable unstackable">
            <thead>
                <tr>
                    <th class="@getSortClass(centers.id,asc)"><a href="@getLink(sort,centerses,centers.id,asc)">Id</a></th>
                    <th class="@getSortClass(centers.country)"><a href="@getLink(sort,centerses,centers.country)">Country</a></th>
                    <th class="@getSortClass(departments.name)"><a href="@getLink(sort,centerses,departments.name)">Departments Name</a></th>
                    <th class="@getSortClass(centers.name) mobile-hidden"><a href="@getLink(sort,centerses,centers.name)">Name</a></th>
                    <th class="@getSortClass(centers.created_at)"><a href="@getLink(sort,centerses,centers.created_at)">Created At</a></th>
                    <th>Actions</th>
                </tr>
            </thead>
            <tbody>
                @foreach ($centerses as $centers)
                <tr>
                    <td class="text-center">{{$centers->id}}</td>
                    <td class="text-right">{{$centers->country}}</td>
                    <td>{{$centers->departments_name}}</td>
                    <td class="mobile-hidden">{{$centers->name}}</td>
                    <td class="text-center">{{$centers->created_at}}</td>
                    <td class="text-center">
                        <a class="ui button small" href="/centerses/{{$centers->id}}" title="View"><i class="eva eva-eye-outline"></i></a>
                        <a class="ui button small primary" href="/centerses/{{$centers->id}}/edit" title="Edit"><i class="eva eva-edit-outline"></i></a>
                        <form action="/centerses/{{$centers->id}}" method="POST">
                            @method("DELETE")
                            @csrf
                            <a class="ui button small red" href="#!" onclick="deleteItem(this)" title="Delete"><i class="eva eva-close-outline"></i></a>
                        </form>
                    </td>
                </tr>
                @endforeach
            </tbody>
        </table>
        <div class="ui grid margin-bottom">
            <div class="eight wide mobile four wide tablet four wide computer column">
                <label>Show
                    <select id="page_size" onchange="location = this.value">
                        <option value="@getLink(size,centerses,10)" {{request()->input('size') == '10' ? 'selected' : ''}}>10</option>
                        <option value="@getLink(size,centerses,20)" {{request()->input('size') == '20' ? 'selected' : ''}}>20</option>
                        <option value="@getLink(size,centerses,30)" {{request()->input('size') == '30' ? 'selected' : ''}}>30</option>
                    </select>
                    entries
                </label>
            </div>
            <div class="eight wide mobile twelve wide tablet twelve wide tablet column">
                <div class="float-right mobile-hidden">
                    <ul class="ui pagination menu">
                        <li class="item{{$centerses->currentPage() <= 1 ? ' ui disabled' : ''}}"><a href="@getLink(page,centerses,$centerses->currentPage()-1)">Prev</a></li>
                        @for ($page = 1; $page <= $centerses->lastPage(); $page++)
                        <li class="item{{$centerses->currentPage() == $page ? ' ui active' : ''}}"><a href="@getLink(page,centerses,$page)">{{$page}}</a></li>
                        @endfor
                        <li class="item{{$centerses->currentPage() >= $centerses->lastPage() ? ' ui disabled' : ''}}"><a href="@getLink(page,centerses,$centerses->currentPage()+1)">Next</a></li>
                    </ul>
                </div>
                <div class="float-right hidden mobile-visible">
                    <label> Page
                        <select id="page_index" onchange="location = this.value">
                            @for ($page = 1; $page <= $centerses->lastPage(); $page++)
                            <option value="@getLink(page,centerses,$page)" {{$centerses->currentPage() == $page ? 'selected' : ''}}>{{$page}}</option>
                            @endfor
                        </select>
                    </label> of <span>{{$centerses->lastPage()}}</span>
                    <div class="ui buttons mini">
                        <a class="ui button primary small{{$centerses->currentPage() <= 1 ? ' ui disabled' : ''}}" href="@getLink(page,centerses,$centerses->currentPage()-1)"><i class="eva eva-arrow-ios-back-outline"></i></a>
                        <a class="ui button primary small{{$centerses->currentPage() >= $centerses->lastPage() ? ' ui disabled' : ''}}" href="@getLink(page,centerses,$centerses->currentPage()+1)"><i class="eva eva-arrow-ios-forward-outline"></i></a>
                    </div>
                </div>
            </div>
        </div>
        <a class="ui button small primary" href="/centerses/create">Create</a>
    </div>
    <style>
        #searchbar_toggle_menu { display: inline-flex!important }
    </style>
</div>
<script>
    initPage()
</script>
@endsection