@extends('layout')
@section('content')
<div class="ui container">
    <form method="post" action="/countries/{{$country->id}}?ref={{urlencode($ref)}}" class="ui form">
        @method("PATCH")
        @csrf
        <div class="ui grid">
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="country_id">Id</label>
                    <input readonly id="country_id" name="id" class="ui input" value="{{old('id', $country->id)}}" type="number" required />
                </div>
                @error('id')<span class="ui red text">{{$message}}</span>@enderror
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="country_code">Code</label>
                    <input id="country_code" name="code" class="ui input" value="{{old('code', $country->code)}}" maxlength="50" />
                </div>
                @error('code')<span class="ui red text">{{$message}}</span>@enderror
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="country_name">Name</label>
                    <input id="country_name" name="name" class="ui input" value="{{old('name', $country->name)}}" maxlength="50" />
                </div>
                @error('name')<span class="ui red text">{{$message}}</span>@enderror
            </div>
            <div class="sixteen wide column">
                <a class="ui button small" href="{{$ref}}">Cancel</a>
                <button class="ui button small primary">Submit</button>
            </div>
        </div>
    </form>
</div>
<script>
    initPage(true)
</script>
@endsection