@extends('layout')
@section('content')
<div class="ui container">
    <form method="post" action="/departmentses/{{$departments->id}}?ref={{urlencode($ref)}}" class="ui form">
        @method("PATCH")
        @csrf
        <div class="ui grid">
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="departments_id">Id</label>
                    <input readonly id="departments_id" name="id" class="ui input" value="{{old('id', $departments->id)}}" type="number" required />
                </div>
                @error('id')<span class="ui red text">{{$message}}</span>@enderror
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="departments_central_admin">Central Admin</label>
                    <select id="departments_central_admin" name="centralAdmin" class="ui dropdown">
                        <option></option>
                        @foreach ($userAccounts as $userAccount)
                        <option value="{{$userAccount->id}}" {{old('centralAdmin', $departments->centralAdmin) == $userAccount->id ? 'selected' : ''}}>{{$userAccount->name}}</option>
                        @endforeach
                    </select>
                </div>
                @error('centralAdmin')<span class="ui red text">{{$message}}</span>@enderror
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="departments_dep_admin">Dep Admin</label>
                    <select id="departments_dep_admin" name="depAdmin" class="ui dropdown">
                        <option></option>
                        @foreach ($userAccounts as $userAccount)
                        <option value="{{$userAccount->id}}" {{old('depAdmin', $departments->depAdmin) == $userAccount->id ? 'selected' : ''}}>{{$userAccount->name}}</option>
                        @endforeach
                    </select>
                </div>
                @error('depAdmin')<span class="ui red text">{{$message}}</span>@enderror
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="departments_name">Name</label>
                    <input id="departments_name" name="name" class="ui input" value="{{old('name', $departments->name)}}" maxlength="50" />
                </div>
                @error('name')<span class="ui red text">{{$message}}</span>@enderror
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="departments_state">State</label>
                    <select id="departments_state" name="state" class="ui dropdown">
                        <option value="0" {{old('state', $departments->state) == 0 ? 'selected' : ''}}>Inactive</option>
                        <option value="1" {{old('state', $departments->state) == 1 ? 'selected' : ''}}>Active</option>
                    </select>
                </div>
                @error('state')<span class="ui red text"></span>@enderror
            </div>
            <div class="sixteen wide column">
                <a class="ui button small" href="{{$ref}}">Cancel</a>
                <button class="ui button small primary">Submit</button>
            </div>
        </div>
    </form>
</div>
<script>
    initPage(true)
</script>
@endsection