@extends('layout')
@section('content')
<div class="ui container">
    <div class="sixteen wide column">
        <h3>Departments List</h3><input id="searchbar_toggle" type="checkbox" />
        <div id="searchbar" class="ui grid margin-bottom form">
            <div class="sixteen wide three wide computer column">
                <select id="search_col" onchange="searchChange()" class="ui dropdown">
                    <option value="departments.id" data-type="number" {{request()->input('sc') == 'departments.id' ? 'selected' : ''}}>Departments Id</option>
                    <option value="departments.name" {{request()->input('sc') == 'departments.name' ? 'selected' : ''}}>Departments Name</option>
                    <option value="departments.state" data-type="number" {{request()->input('sc') == 'departments.state' ? 'selected' : ''}}>Departments State</option>
                    <option value="UserAccount.name" {{request()->input('sc') == 'UserAccount.name' ? 'selected' : ''}}>User Account Name</option>
                    <option value="UserAccount2.name" {{request()->input('sc') == 'UserAccount2.name' ? 'selected' : ''}}>User Account Name2</option>
                    <option value="UserAccount3.name" {{request()->input('sc') == 'UserAccount3.name' ? 'selected' : ''}}>User Account Name2</option>
                </select>
            </div>
            <div class="sixteen wide three wide computer column">
                <select id="search_oper" class="ui dropdown">
                    <option value="c" {{request()->input('so') == 'c' ? 'selected' : ''}}>Contains</option>
                    <option value="e" {{request()->input('so') == 'e' ? 'selected' : ''}}>Equals</option>
                    <option value="g" {{request()->input('so') == 'g' ? 'selected' : ''}}>&gt;</option>
                    <option value="ge" {{request()->input('so') == 'ge' ? 'selected' : ''}}>&gt;&#x3D;</option>
                    <option value="l" {{request()->input('so') == 'l' ? 'selected' : ''}}>&lt;</option>
                    <option value="le" {{request()->input('so') == 'le' ? 'selected' : ''}}>&lt;&#x3D;</option>
                </select>
            </div>
            <div class="sixteen wide three wide computer column">
                <input id="search_word" autocomplete="off" onkeyup="search(event)" value="{{request()->input('sw')}}" class="ui input" />
            </div>
            <div class="sixteen wide seven wide computer column">
                <button class="ui button primary small" onclick="search()">Search</button>
                <button class="ui button small" onclick="clearSearch()">Clear</button>
            </div>
        </div>
        <table class="ui table small striped selectable unstackable">
            <thead>
                <tr>
                    <th class="@getSortClass(departments.id,asc)"><a href="@getLink(sort,departmentses,departments.id,asc)">Id</a></th>
                    <th class="@getSortClass(departments.name) mobile-hidden"><a href="@getLink(sort,departmentses,departments.name)">Name</a></th>
                    <th class="@getSortClass(departments.state) mobile-hidden"><a href="@getLink(sort,departmentses,departments.state)">State</a></th>
                    <th class="@getSortClass(UserAccount.name)"><a href="@getLink(sort,departmentses,UserAccount.name)">Central Admin</a></th>
                    <th class="@getSortClass(UserAccount2.name)"><a href="@getLink(sort,departmentses,UserAccount2.name)">Created By</a></th>
                    <th class="@getSortClass(UserAccount3.name)"><a href="@getLink(sort,departmentses,UserAccount3.name)">Dep Admin</a></th>
                    <th>Actions</th>
                </tr>
            </thead>
            <tbody>
                @foreach ($departmentses as $departments)
                <tr>
                    <td class="text-center">{{$departments->id}}</td>
                    <td class="mobile-hidden">{{$departments->name}}</td>
                    <td class="mobile-hidden text-right">{{($departments->state == 1 ? 'Active' : ($departments->state == 0 ? 'Inactive' : 'Other'))}}</td>
                    <td>{{$departments->user_account_name}}</td>
                    <td>{{$departments->user_account_name2}}</td>
                    <td>{{$departments->user_account_name2}}</td>
                    <td class="text-center">
                        <a class="ui button small" href="/departmentses/{{$departments->id}}" title="View"><i class="eva eva-eye-outline"></i></a>
                        <a class="ui button small primary" href="/departmentses/{{$departments->id}}/edit" title="Edit"><i class="eva eva-edit-outline"></i></a>
                        <form action="/departmentses/{{$departments->id}}" method="POST">
                            @method("DELETE")
                            @csrf
                            <a class="ui button small red" href="#!" onclick="deleteItem(this)" title="Delete"><i class="eva eva-close-outline"></i></a>
                        </form>
                    </td>
                </tr>
                @endforeach
            </tbody>
        </table>
        <div class="ui grid margin-bottom">
            <div class="eight wide mobile four wide tablet four wide computer column">
                <label>Show
                    <select id="page_size" onchange="location = this.value">
                        <option value="@getLink(size,departmentses,10)" {{request()->input('size') == '10' ? 'selected' : ''}}>10</option>
                        <option value="@getLink(size,departmentses,20)" {{request()->input('size') == '20' ? 'selected' : ''}}>20</option>
                        <option value="@getLink(size,departmentses,30)" {{request()->input('size') == '30' ? 'selected' : ''}}>30</option>
                    </select>
                    entries
                </label>
            </div>
            <div class="eight wide mobile twelve wide tablet twelve wide tablet column">
                <div class="float-right mobile-hidden">
                    <ul class="ui pagination menu">
                        <li class="item{{$departmentses->currentPage() <= 1 ? ' ui disabled' : ''}}"><a href="@getLink(page,departmentses,$departmentses->currentPage()-1)">Prev</a></li>
                        @for ($page = 1; $page <= $departmentses->lastPage(); $page++)
                        <li class="item{{$departmentses->currentPage() == $page ? ' ui active' : ''}}"><a href="@getLink(page,departmentses,$page)">{{$page}}</a></li>
                        @endfor
                        <li class="item{{$departmentses->currentPage() >= $departmentses->lastPage() ? ' ui disabled' : ''}}"><a href="@getLink(page,departmentses,$departmentses->currentPage()+1)">Next</a></li>
                    </ul>
                </div>
                <div class="float-right hidden mobile-visible">
                    <label> Page
                        <select id="page_index" onchange="location = this.value">
                            @for ($page = 1; $page <= $departmentses->lastPage(); $page++)
                            <option value="@getLink(page,departmentses,$page)" {{$departmentses->currentPage() == $page ? 'selected' : ''}}>{{$page}}</option>
                            @endfor
                        </select>
                    </label> of <span>{{$departmentses->lastPage()}}</span>
                    <div class="ui buttons mini">
                        <a class="ui button primary small{{$departmentses->currentPage() <= 1 ? ' ui disabled' : ''}}" href="@getLink(page,departmentses,$departmentses->currentPage()-1)"><i class="eva eva-arrow-ios-back-outline"></i></a>
                        <a class="ui button primary small{{$departmentses->currentPage() >= $departmentses->lastPage() ? ' ui disabled' : ''}}" href="@getLink(page,departmentses,$departmentses->currentPage()+1)"><i class="eva eva-arrow-ios-forward-outline"></i></a>
                    </div>
                </div>
            </div>
        </div>
        <a class="ui button small primary" href="/departmentses/create">Create</a>
    </div>
    <style>
        #searchbar_toggle_menu { display: inline-flex!important }
    </style>
</div>
<script>
    initPage()
</script>
@endsection