@extends('layout')
@section('content')
<div class="ui container">
    <form method="post" action="/evaluations/{{$evaluation->id}}?ref={{urlencode($ref)}}" class="ui form">
        @method("PATCH")
        @csrf
        <div class="ui grid">
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="evaluation_id">Id</label>
                    <input readonly id="evaluation_id" name="id" class="ui input" value="{{old('id', $evaluation->id)}}" type="number" required />
                </div>
                @error('id')<span class="ui red text">{{$message}}</span>@enderror
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="evaluation_instance_id">Instance Id</label>
                    <select id="evaluation_instance_id" name="instanceId" class="ui dropdown">
                        <option></option>
                        @foreach ($instanceses as $instances)
                        <option value="{{$instances->id}}" {{old('instanceId', $evaluation->instanceId) == $instances->id ? 'selected' : ''}}>{{$instances->note}}</option>
                        @endforeach
                    </select>
                </div>
                @error('instanceId')<span class="ui red text">{{$message}}</span>@enderror
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="evaluation_from_aya_mem">From Aya Mem</label>
                    <input id="evaluation_from_aya_mem" name="fromAyaMem" class="ui input" value="{{old('fromAyaMem', $evaluation->fromAyaMem)}}" type="number" />
                </div>
                @error('fromAyaMem')<span class="ui red text">{{$message}}</span>@enderror
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="evaluation_from_soura_mem">From Soura Mem</label>
                    <input id="evaluation_from_soura_mem" name="fromSouraMem" class="ui input" value="{{old('fromSouraMem', $evaluation->fromSouraMem)}}" type="number" />
                </div>
                @error('fromSouraMem')<span class="ui red text">{{$message}}</span>@enderror
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="evaluation_to_aya_mem">To Aya Mem</label>
                    <input id="evaluation_to_aya_mem" name="toAyaMem" class="ui input" value="{{old('toAyaMem', $evaluation->toAyaMem)}}" type="number" />
                </div>
                @error('toAyaMem')<span class="ui red text">{{$message}}</span>@enderror
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="evaluation_to_soura_mem">To Soura Mem</label>
                    <input id="evaluation_to_soura_mem" name="toSouraMem" class="ui input" value="{{old('toSouraMem', $evaluation->toSouraMem)}}" type="number" />
                </div>
                @error('toSouraMem')<span class="ui red text">{{$message}}</span>@enderror
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="evaluation_mark">Mark</label>
                    <input id="evaluation_mark" name="mark" class="ui input" value="{{old('mark', $evaluation->mark)}}" type="number" step="any" />
                </div>
                @error('mark')<span class="ui red text">{{$message}}</span>@enderror
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="evaluation_pages">Pages</label>
                    <input id="evaluation_pages" name="pages" class="ui input" value="{{old('pages', $evaluation->pages)}}" type="number" />
                </div>
                @error('pages')<span class="ui red text">{{$message}}</span>@enderror
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="evaluation_from_aya_reh">From Aya Reh</label>
                    <input id="evaluation_from_aya_reh" name="fromAyaReh" class="ui input" value="{{old('fromAyaReh', $evaluation->fromAyaReh)}}" type="number" />
                </div>
                @error('fromAyaReh')<span class="ui red text">{{$message}}</span>@enderror
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="evaluation_from_soura_reh">From Soura Reh</label>
                    <input id="evaluation_from_soura_reh" name="fromSouraReh" class="ui input" value="{{old('fromSouraReh', $evaluation->fromSouraReh)}}" type="number" />
                </div>
                @error('fromSouraReh')<span class="ui red text">{{$message}}</span>@enderror
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="evaluation_to_aya_reh">To Aya Reh</label>
                    <input id="evaluation_to_aya_reh" name="toAyaReh" class="ui input" value="{{old('toAyaReh', $evaluation->toAyaReh)}}" type="number" />
                </div>
                @error('toAyaReh')<span class="ui red text">{{$message}}</span>@enderror
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="evaluation_to_soura_reh">To Soura Reh</label>
                    <input id="evaluation_to_soura_reh" name="toSouraReh" class="ui input" value="{{old('toSouraReh', $evaluation->toSouraReh)}}" type="number" />
                </div>
                @error('toSouraReh')<span class="ui red text">{{$message}}</span>@enderror
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="evaluation_student_id">Student Id</label>
                    <select id="evaluation_student_id" name="studentId" class="ui dropdown">
                        <option></option>
                        @foreach ($userAccounts as $userAccount)
                        <option value="{{$userAccount->id}}" {{old('studentId', $evaluation->studentId) == $userAccount->id ? 'selected' : ''}}>{{$userAccount->name}}</option>
                        @endforeach
                    </select>
                </div>
                @error('studentId')<span class="ui red text">{{$message}}</span>@enderror
            </div>
            <div class="sixteen wide column">
                <a class="ui button small" href="{{$ref}}">Cancel</a>
                <button class="ui button small primary">Submit</button>
            </div>
        </div>
    </form>
</div>
<script>
    initPage(true)
</script>
@endsection