@extends('layout')
@section('content')
<div class="ui container">
    <div class="sixteen wide column">
        <h3>Evaluation List</h3><input id="searchbar_toggle" type="checkbox" />
        <div id="searchbar" class="ui grid margin-bottom form">
            <div class="sixteen wide three wide computer column">
                <select id="search_col" onchange="searchChange()" class="ui dropdown">
                    <option value="evaluation.id" data-type="number" {{request()->input('sc') == 'evaluation.id' ? 'selected' : ''}}>Evaluation Id</option>
                    <option value="evaluation.instanceId" data-type="number" {{request()->input('sc') == 'evaluation.instanceId' ? 'selected' : ''}}>Evaluation Instance Id</option>
                    <option value="evaluation.fromAyaMem" data-type="number" {{request()->input('sc') == 'evaluation.fromAyaMem' ? 'selected' : ''}}>Evaluation From Aya Mem</option>
                    <option value="evaluation.toAyaMem" data-type="number" {{request()->input('sc') == 'evaluation.toAyaMem' ? 'selected' : ''}}>Evaluation To Aya Mem</option>
                    <option value="evaluation.mark" data-type="number" {{request()->input('sc') == 'evaluation.mark' ? 'selected' : ''}}>Evaluation Mark</option>
                    <option value="evaluation.pages" data-type="number" {{request()->input('sc') == 'evaluation.pages' ? 'selected' : ''}}>Evaluation Pages</option>
                    <option value="evaluation.fromAyaReh" data-type="number" {{request()->input('sc') == 'evaluation.fromAyaReh' ? 'selected' : ''}}>Evaluation From Aya Reh</option>
                    <option value="evaluation.toAyaReh" data-type="number" {{request()->input('sc') == 'evaluation.toAyaReh' ? 'selected' : ''}}>Evaluation To Aya Reh</option>
                    <option value="quran.soura" {{request()->input('sc') == 'quran.soura' ? 'selected' : ''}}>Quran Soura</option>
                    <option value="quran2.soura" {{request()->input('sc') == 'quran2.soura' ? 'selected' : ''}}>Quran Soura2</option>
                    <option value="instances.id" data-type="number" {{request()->input('sc') == 'instances.id' ? 'selected' : ''}}>Instances Id</option>
                    <option value="UserAccount.name" {{request()->input('sc') == 'UserAccount.name' ? 'selected' : ''}}>User Account Name</option>
                </select>
            </div>
            <div class="sixteen wide three wide computer column">
                <select id="search_oper" class="ui dropdown">
                    <option value="c" {{request()->input('so') == 'c' ? 'selected' : ''}}>Contains</option>
                    <option value="e" {{request()->input('so') == 'e' ? 'selected' : ''}}>Equals</option>
                    <option value="g" {{request()->input('so') == 'g' ? 'selected' : ''}}>&gt;</option>
                    <option value="ge" {{request()->input('so') == 'ge' ? 'selected' : ''}}>&gt;&#x3D;</option>
                    <option value="l" {{request()->input('so') == 'l' ? 'selected' : ''}}>&lt;</option>
                    <option value="le" {{request()->input('so') == 'le' ? 'selected' : ''}}>&lt;&#x3D;</option>
                </select>
            </div>
            <div class="sixteen wide three wide computer column">
                <input id="search_word" autocomplete="off" onkeyup="search(event)" value="{{request()->input('sw')}}" class="ui input" />
            </div>
            <div class="sixteen wide seven wide computer column">
                <button class="ui button primary small" onclick="search()">Search</button>
                <button class="ui button small" onclick="clearSearch()">Clear</button>
            </div>
        </div>
        <table class="ui table small striped selectable unstackable">
            <thead>
                <tr>
                    <th class="@getSortClass(evaluation.id,asc)"><a href="@getLink(sort,evaluations,evaluation.id,asc)">Id</a></th>
                    <th class="@getSortClass(evaluation.instanceId)"><a href="@getLink(sort,evaluations,evaluation.instanceId)">Instance Id</a></th>
                    <th class="@getSortClass(evaluation.fromAyaMem)"><a href="@getLink(sort,evaluations,evaluation.fromAyaMem)">From Aya Mem</a></th>
                    <th class="@getSortClass(evaluation.toAyaMem) mobile-hidden"><a href="@getLink(sort,evaluations,evaluation.toAyaMem)">To Aya Mem</a></th>
                    <th class="@getSortClass(evaluation.mark) mobile-hidden"><a href="@getLink(sort,evaluations,evaluation.mark)">Mark</a></th>
                    <th class="@getSortClass(evaluation.pages) mobile-hidden"><a href="@getLink(sort,evaluations,evaluation.pages)">Pages</a></th>
                    <th class="@getSortClass(evaluation.fromAyaReh) mobile-hidden"><a href="@getLink(sort,evaluations,evaluation.fromAyaReh)">From Aya Reh</a></th>
                    <th class="@getSortClass(evaluation.toAyaReh) mobile-hidden"><a href="@getLink(sort,evaluations,evaluation.toAyaReh)">To Aya Reh</a></th>
                    <th class="@getSortClass(quran.soura)"><a href="@getLink(sort,evaluations,quran.soura)">Quran Soura</a></th>
                    <th class="@getSortClass(quran2.soura)"><a href="@getLink(sort,evaluations,quran2.soura)">Quran Soura</a></th>
                    <th class="@getSortClass(instances.id)"><a href="@getLink(sort,evaluations,instances.id)">Instances Id</a></th>
                    <th class="@getSortClass(UserAccount.name)"><a href="@getLink(sort,evaluations,UserAccount.name)">Student Name</a></th>
                    <th>Actions</th>
                </tr>
            </thead>
            <tbody>
                @foreach ($evaluations as $evaluation)
                <tr>
                    <td class="text-center">{{$evaluation->id}}</td>
                    <td class="text-right">{{$evaluation->instanceId}}</td>
                    <td class="text-right">{{$evaluation->fromAyaMem}}</td>
                    <td class="mobile-hidden text-right">{{$evaluation->toAyaMem}}</td>
                    <td class="mobile-hidden text-right">{{$evaluation->mark}}</td>
                    <td class="mobile-hidden text-right">{{$evaluation->pages}}</td>
                    <td class="mobile-hidden text-right">{{$evaluation->fromAyaReh}}</td>
                    <td class="mobile-hidden text-right">{{$evaluation->toAyaReh}}</td>
                    <td>{{$evaluation->quran_soura}}</td>
                    <td>{{$evaluation->quran_soura2}}</td>
                    <td class="text-right">{{$evaluation->instances_id}}</td>
                    <td>{{$evaluation->user_account_name}}</td>
                    <td class="text-center">
                        <a class="ui button small" href="/evaluations/{{$evaluation->id}}" title="View"><i class="eva eva-eye-outline"></i></a>
                        <a class="ui button small primary" href="/evaluations/{{$evaluation->id}}/edit" title="Edit"><i class="eva eva-edit-outline"></i></a>
                        <form action="/evaluations/{{$evaluation->id}}" method="POST">
                            @method("DELETE")
                            @csrf
                            <a class="ui button small red" href="#!" onclick="deleteItem(this)" title="Delete"><i class="eva eva-close-outline"></i></a>
                        </form>
                    </td>
                </tr>
                @endforeach
            </tbody>
        </table>
        <div class="ui grid margin-bottom">
            <div class="eight wide mobile four wide tablet four wide computer column">
                <label>Show
                    <select id="page_size" onchange="location = this.value">
                        <option value="@getLink(size,evaluations,10)" {{request()->input('size') == '10' ? 'selected' : ''}}>10</option>
                        <option value="@getLink(size,evaluations,20)" {{request()->input('size') == '20' ? 'selected' : ''}}>20</option>
                        <option value="@getLink(size,evaluations,30)" {{request()->input('size') == '30' ? 'selected' : ''}}>30</option>
                    </select>
                    entries
                </label>
            </div>
            <div class="eight wide mobile twelve wide tablet twelve wide tablet column">
                <div class="float-right mobile-hidden">
                    <ul class="ui pagination menu">
                        <li class="item{{$evaluations->currentPage() <= 1 ? ' ui disabled' : ''}}"><a href="@getLink(page,evaluations,$evaluations->currentPage()-1)">Prev</a></li>
                        @for ($page = 1; $page <= $evaluations->lastPage(); $page++)
                        <li class="item{{$evaluations->currentPage() == $page ? ' ui active' : ''}}"><a href="@getLink(page,evaluations,$page)">{{$page}}</a></li>
                        @endfor
                        <li class="item{{$evaluations->currentPage() >= $evaluations->lastPage() ? ' ui disabled' : ''}}"><a href="@getLink(page,evaluations,$evaluations->currentPage()+1)">Next</a></li>
                    </ul>
                </div>
                <div class="float-right hidden mobile-visible">
                    <label> Page
                        <select id="page_index" onchange="location = this.value">
                            @for ($page = 1; $page <= $evaluations->lastPage(); $page++)
                            <option value="@getLink(page,evaluations,$page)" {{$evaluations->currentPage() == $page ? 'selected' : ''}}>{{$page}}</option>
                            @endfor
                        </select>
                    </label> of <span>{{$evaluations->lastPage()}}</span>
                    <div class="ui buttons mini">
                        <a class="ui button primary small{{$evaluations->currentPage() <= 1 ? ' ui disabled' : ''}}" href="@getLink(page,evaluations,$evaluations->currentPage()-1)"><i class="eva eva-arrow-ios-back-outline"></i></a>
                        <a class="ui button primary small{{$evaluations->currentPage() >= $evaluations->lastPage() ? ' ui disabled' : ''}}" href="@getLink(page,evaluations,$evaluations->currentPage()+1)"><i class="eva eva-arrow-ios-forward-outline"></i></a>
                    </div>
                </div>
            </div>
        </div>
        <a class="ui button small primary" href="/evaluations/create">Create</a>
    </div>
    <style>
        #searchbar_toggle_menu { display: inline-flex!important }
    </style>
</div>
<script>
    initPage()
</script>
@endsection