@extends('layout')
@section('content')
<div class="ui container">
    <form method="post" action="/exams?ref={{urlencode($ref)}}" class="ui form">
        @csrf
        <div class="ui grid">
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="exam_student_id">Student Id</label>
                    <select id="exam_student_id" name="studentId" class="ui dropdown">
                        <option></option>
                        @foreach ($userAccounts as $userAccount)
                        <option value="{{$userAccount->id}}" {{old('studentId') == $userAccount->id ? 'selected' : ''}}>{{$userAccount->name}}</option>
                        @endforeach
                    </select>
                </div>
                @error('studentId')<span class="ui red text">{{$message}}</span>@enderror
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="exam_student_note">Student Note</label>
                    <input id="exam_student_note" name="studentNote" class="ui input" value="{{old('studentNote')}}" type="number" step="any" />
                </div>
                @error('studentNote')<span class="ui red text">{{$message}}</span>@enderror
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="exam_subject">Subject</label>
                    <input id="exam_subject" name="subject" class="ui input" value="{{old('subject')}}" maxlength="120" />
                </div>
                @error('subject')<span class="ui red text">{{$message}}</span>@enderror
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="exam_status">Status</label>
                    <input id="exam_status" name="status" class="ui input" value="{{old('status')}}" maxlength="50" />
                </div>
                @error('status')<span class="ui red text">{{$message}}</span>@enderror
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="exam_teacher_id">Teacher Id</label>
                    <select id="exam_teacher_id" name="teacherId" class="ui dropdown">
                        <option></option>
                        @foreach ($userAccounts as $userAccount)
                        <option value="{{$userAccount->id}}" {{old('teacherId') == $userAccount->id ? 'selected' : ''}}>{{$userAccount->name}}</option>
                        @endforeach
                    </select>
                </div>
                @error('teacherId')<span class="ui red text">{{$message}}</span>@enderror
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="exam_halaqa_id">Halaqa Id</label>
                    <select id="exam_halaqa_id" name="halaqaId" class="ui dropdown">
                        <option></option>
                        @foreach ($halaqats as $halaqat)
                        <option value="{{$halaqat->id}}" {{old('halaqaId') == $halaqat->id ? 'selected' : ''}}>{{$halaqat->level}}</option>
                        @endforeach
                    </select>
                </div>
                @error('halaqaId')<span class="ui red text">{{$message}}</span>@enderror
            </div>
            <div class="sixteen wide column">
                <a class="ui button small" href="{{$ref}}">Cancel</a>
                <button class="ui button small primary">Submit</button>
            </div>
        </div>
    </form>
</div>
<script>
    initPage(true)
</script>
@endsection