@extends('layout')
@section('content')
<div class="ui container">
    <div class="sixteen wide column"><input id="searchbar_toggle" type="checkbox" />
        <div id="searchbar" class="ui grid margin-bottom form">
            <div class="sixteen wide three wide computer column">
                <select id="search_col" onchange="searchChange()" class="ui dropdown">
                    <option value="exam.id" data-type="number" {{request()->input('sc') == 'exam.id' ? 'selected' : ''}}>Exam Id</option>
                    <option value="exam.studentNote" data-type="number" {{request()->input('sc') == 'exam.studentNote' ? 'selected' : ''}}>Exam Student Note</option>
                    <option value="exam.subject" {{request()->input('sc') == 'exam.subject' ? 'selected' : ''}}>Exam Subject</option>
                    <option value="exam.status" {{request()->input('sc') == 'exam.status' ? 'selected' : ''}}>Exam Status</option>
                    <option value="exam.halaqaId" data-type="number" {{request()->input('sc') == 'exam.halaqaId' ? 'selected' : ''}}>Exam Halaqa Id</option>
                    <option value="halaqat.name" {{request()->input('sc') == 'halaqat.name' ? 'selected' : ''}}>Halaqat Name</option>
                    <option value="UserAccount.name" {{request()->input('sc') == 'UserAccount.name' ? 'selected' : ''}}>User Account Name</option>
                    <option value="UserAccount2.name" {{request()->input('sc') == 'UserAccount2.name' ? 'selected' : ''}}>User Account Name2</option>
                </select>
            </div>
            <div class="sixteen wide three wide computer column">
                <select id="search_oper" class="ui dropdown">
                    <option value="c" {{request()->input('so') == 'c' ? 'selected' : ''}}>Contains</option>
                    <option value="e" {{request()->input('so') == 'e' ? 'selected' : ''}}>Equals</option>
                    <option value="g" {{request()->input('so') == 'g' ? 'selected' : ''}}>&gt;</option>
                    <option value="ge" {{request()->input('so') == 'ge' ? 'selected' : ''}}>&gt;&#x3D;</option>
                    <option value="l" {{request()->input('so') == 'l' ? 'selected' : ''}}>&lt;</option>
                    <option value="le" {{request()->input('so') == 'le' ? 'selected' : ''}}>&lt;&#x3D;</option>
                </select>
            </div>
            <div class="sixteen wide three wide computer column">
                <input id="search_word" autocomplete="off" onkeyup="search(event)" value="{{request()->input('sw')}}" class="ui input" />
            </div>
            <div class="sixteen wide seven wide computer column">
                <button class="ui button primary small" onclick="search()">Search</button>
                <button class="ui button small" onclick="clearSearch()">Clear</button>
            </div>
        </div>
        <table class="ui table small striped selectable unstackable">
            <thead>
                <tr>
                    <th class="@getSortClass(exam.id,asc)"><a href="@getLink(sort,exams,exam.id,asc)">Id</a></th>
                    <th class="@getSortClass(exam.studentNote)"><a href="@getLink(sort,exams,exam.studentNote)">Student Note</a></th>
                    <th class="@getSortClass(exam.subject) mobile-hidden"><a href="@getLink(sort,exams,exam.subject)">Subject</a></th>
                    <th class="@getSortClass(exam.status) mobile-hidden"><a href="@getLink(sort,exams,exam.status)">Status</a></th>
                    <th class="@getSortClass(exam.halaqaId) mobile-hidden"><a href="@getLink(sort,exams,exam.halaqaId)">Halaqa Id</a></th>
                    <th class="@getSortClass(halaqat.name)"><a href="@getLink(sort,exams,halaqat.name)">Halaqat Name</a></th>
                    <th class="@getSortClass(UserAccount.name)"><a href="@getLink(sort,exams,UserAccount.name)">Student Name</a></th>
                    <th class="@getSortClass(UserAccount2.name)"><a href="@getLink(sort,exams,UserAccount2.name)">Teacher Name</a></th>
                    <th>Actions</th>
                </tr>
            </thead>
            <tbody>
                @foreach ($exams as $exam)
                <tr>
                    <td class="text-center">{{$exam->id}}</td>
                    <td class="text-right">{{$exam->studentNote}}</td>
                    <td class="mobile-hidden">{{$exam->subject}}</td>
                    <td class="mobile-hidden">{{$exam->status}}</td>
                    <td class="mobile-hidden text-right">{{$exam->halaqaId}}</td>
                    <td>{{$exam->halaqat_name}}</td>
                    <td>{{$exam->user_account_name}}</td>
                    <td>{{$exam->user_account_name2}}</td>
                    <td class="text-center">
                        <a class="ui button small" href="/exams/{{$exam->id}}" title="View"><i class="eva eva-eye-outline"></i></a>
                        <a class="ui button small primary" href="/exams/{{$exam->id}}/edit" title="Edit"><i class="eva eva-edit-outline"></i></a>
                        <form action="/exams/{{$exam->id}}" method="POST">
                            @method("DELETE")
                            @csrf
                            <a class="ui button small red" href="#!" onclick="deleteItem(this)" title="Delete"><i class="eva eva-close-outline"></i></a>
                        </form>
                    </td>
                </tr>
                @endforeach
            </tbody>
        </table>
        <div class="ui grid margin-bottom">
            <div class="eight wide mobile four wide tablet four wide computer column">
                <label>Show
                    <select id="page_size" onchange="location = this.value">
                        <option value="@getLink(size,exams,10)" {{request()->input('size') == '10' ? 'selected' : ''}}>10</option>
                        <option value="@getLink(size,exams,20)" {{request()->input('size') == '20' ? 'selected' : ''}}>20</option>
                        <option value="@getLink(size,exams,30)" {{request()->input('size') == '30' ? 'selected' : ''}}>30</option>
                    </select>
                    entries
                </label>
            </div>
            <div class="eight wide mobile twelve wide tablet twelve wide tablet column">
                <div class="float-right mobile-hidden">
                    <ul class="ui pagination menu">
                        <li class="item{{$exams->currentPage() <= 1 ? ' ui disabled' : ''}}"><a href="@getLink(page,exams,$exams->currentPage()-1)">Prev</a></li>
                        @for ($page = 1; $page <= $exams->lastPage(); $page++)
                        <li class="item{{$exams->currentPage() == $page ? ' ui active' : ''}}"><a href="@getLink(page,exams,$page)">{{$page}}</a></li>
                        @endfor
                        <li class="item{{$exams->currentPage() >= $exams->lastPage() ? ' ui disabled' : ''}}"><a href="@getLink(page,exams,$exams->currentPage()+1)">Next</a></li>
                    </ul>
                </div>
                <div class="float-right hidden mobile-visible">
                    <label> Page
                        <select id="page_index" onchange="location = this.value">
                            @for ($page = 1; $page <= $exams->lastPage(); $page++)
                            <option value="@getLink(page,exams,$page)" {{$exams->currentPage() == $page ? 'selected' : ''}}>{{$page}}</option>
                            @endfor
                        </select>
                    </label> of <span>{{$exams->lastPage()}}</span>
                    <div class="ui buttons mini">
                        <a class="ui button primary small{{$exams->currentPage() <= 1 ? ' ui disabled' : ''}}" href="@getLink(page,exams,$exams->currentPage()-1)"><i class="eva eva-arrow-ios-back-outline"></i></a>
                        <a class="ui button primary small{{$exams->currentPage() >= $exams->lastPage() ? ' ui disabled' : ''}}" href="@getLink(page,exams,$exams->currentPage()+1)"><i class="eva eva-arrow-ios-forward-outline"></i></a>
                    </div>
                </div>
            </div>
        </div>
        <a class="ui button small primary" href="/exams/create">Create</a>
    </div>
    <style>
        #searchbar_toggle_menu { display: inline-flex!important }
    </style>
</div>
<script>
    initPage()
</script>
@endsection