@extends('layout')
@section('content')
<div class="ui container">
    <form method="post" action="/halaqats/{{$halaqat->id}}?ref={{urlencode($ref)}}" class="ui form">
        @method("PATCH")
        @csrf
        <div class="ui grid">
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="halaqat_id">Id</label>
                    <input readonly id="halaqat_id" name="id" class="ui input" value="{{old('id', $halaqat->id)}}" type="number" required />
                </div>
                @error('id')<span class="ui red text">{{$message}}</span>@enderror
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="halaqat_center_id">Center Id</label>
                    <select id="halaqat_center_id" name="center_id" class="ui dropdown">
                        <option></option>
                        @foreach ($centerses as $centers)
                        <option value="{{$centers->id}}" {{old('center_id', $halaqat->center_id) == $centers->id ? 'selected' : ''}}>{{$centers->city}}</option>
                        @endforeach
                    </select>
                </div>
                @error('center_id')<span class="ui red text">{{$message}}</span>@enderror
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="halaqat_level">Level</label>
                    <input id="halaqat_level" name="level" class="ui input" value="{{old('level', $halaqat->level)}}" maxlength="50" />
                </div>
                @error('level')<span class="ui red text">{{$message}}</span>@enderror
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="halaqat_name">Name</label>
                    <input id="halaqat_name" name="name" class="ui input" value="{{old('name', $halaqat->name)}}" maxlength="50" />
                </div>
                @error('name')<span class="ui red text">{{$message}}</span>@enderror
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="halaqat_description">Description</label>
                    <input id="halaqat_description" name="description" class="ui input" value="{{old('description', $halaqat->description)}}" maxlength="50" />
                </div>
                @error('description')<span class="ui red text">{{$message}}</span>@enderror
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="halaqat_state">State</label>
                    <input id="halaqat_state" name="state" class="ui input" value="{{old('state', $halaqat->state)}}" type="number" />
                </div>
                @error('state')<span class="ui red text">{{$message}}</span>@enderror
            </div>
            <div class="sixteen wide column">
                <h3>
                </h3>
                <div class="grouped fields">
                    <div>Student Halaqat Student Id</div>
                    @foreach ($userAccounts as $userAccount)
                    <div class="field">
                        <div class="field ui checkbox">
                            <input id="student_halaqat_student_id{{$userAccount->id}}" name="studentId[]" class="hidden" type="checkbox" value="{{$userAccount->id}}" {{in_array($userAccount->id, $halaqatStudentHalaqats->pluck('studentId')->toArray()) ? 'checked' : ''}} />
                            <label for="student_halaqat_student_id{{$userAccount->id}}">{{$userAccount->name}}</label>
                        </div>
                    </div>
                    @endforeach
                </div>
            </div>
            <div class="sixteen wide column">
                <a class="ui button small" href="{{$ref}}">Cancel</a>
                <button class="ui button small primary">Submit</button>
            </div>
        </div>
    </form>
</div>
<script>
    initPage(true)
</script>
@endsection