@extends('layout')
@section('content')
<div class="ui container">
    <div class="sixteen wide column"><input id="searchbar_toggle" type="checkbox" />
        <div id="searchbar" class="ui grid margin-bottom form">
            <div class="sixteen wide three wide computer column">
                <select id="search_col" onchange="searchChange()" class="ui dropdown">
                    <option value="halaqat.id" data-type="number" {{request()->input('sc') == 'halaqat.id' ? 'selected' : ''}}>Halaqat Id</option>
                    <option value="halaqat.center_id" data-type="number" {{request()->input('sc') == 'halaqat.center_id' ? 'selected' : ''}}>Halaqat Center Id</option>
                    <option value="halaqat.level" {{request()->input('sc') == 'halaqat.level' ? 'selected' : ''}}>Halaqat Level</option>
                    <option value="halaqat.name" {{request()->input('sc') == 'halaqat.name' ? 'selected' : ''}}>Halaqat Name</option>
                    <option value="halaqat.description" {{request()->input('sc') == 'halaqat.description' ? 'selected' : ''}}>Halaqat Description</option>
                    <option value="halaqat.state" data-type="number" {{request()->input('sc') == 'halaqat.state' ? 'selected' : ''}}>Halaqat State</option>
                    <option value="centers.name" {{request()->input('sc') == 'centers.name' ? 'selected' : ''}}>Centers Name</option>
                    <option value="centers.id" data-type="number" {{request()->input('sc') == 'centers.id' ? 'selected' : ''}}>Centers Id</option>
                </select>
            </div>
            <div class="sixteen wide three wide computer column">
                <select id="search_oper" class="ui dropdown">
                    <option value="c" {{request()->input('so') == 'c' ? 'selected' : ''}}>Contains</option>
                    <option value="e" {{request()->input('so') == 'e' ? 'selected' : ''}}>Equals</option>
                    <option value="g" {{request()->input('so') == 'g' ? 'selected' : ''}}>&gt;</option>
                    <option value="ge" {{request()->input('so') == 'ge' ? 'selected' : ''}}>&gt;&#x3D;</option>
                    <option value="l" {{request()->input('so') == 'l' ? 'selected' : ''}}>&lt;</option>
                    <option value="le" {{request()->input('so') == 'le' ? 'selected' : ''}}>&lt;&#x3D;</option>
                </select>
            </div>
            <div class="sixteen wide three wide computer column">
                <input id="search_word" autocomplete="off" onkeyup="search(event)" value="{{request()->input('sw')}}" class="ui input" />
            </div>
            <div class="sixteen wide seven wide computer column">
                <button class="ui button primary small" onclick="search()">Search</button>
                <button class="ui button small" onclick="clearSearch()">Clear</button>
            </div>
        </div>
        <table class="ui table small striped selectable unstackable">
            <thead>
                <tr>
                    <th class="@getSortClass(halaqat.id,asc)"><a href="@getLink(sort,halaqats,halaqat.id,asc)">Id</a></th>
                    <th class="@getSortClass(halaqat.center_id)"><a href="@getLink(sort,halaqats,halaqat.center_id)">Center Id</a></th>
                    <th class="@getSortClass(halaqat.level)"><a href="@getLink(sort,halaqats,halaqat.level)">Level</a></th>
                    <th class="@getSortClass(halaqat.name) mobile-hidden"><a href="@getLink(sort,halaqats,halaqat.name)">Name</a></th>
                    <th class="@getSortClass(halaqat.description) mobile-hidden"><a href="@getLink(sort,halaqats,halaqat.description)">Description</a></th>
                    <th class="@getSortClass(halaqat.state) mobile-hidden"><a href="@getLink(sort,halaqats,halaqat.state)">State</a></th>
                    <th class="@getSortClass(centers.name)"><a href="@getLink(sort,halaqats,centers.name)">Centers Name</a></th>
                    <th class="@getSortClass(centers.id)"><a href="@getLink(sort,halaqats,centers.id)">Centers Id</a></th>
                    <th>Actions</th>
                </tr>
            </thead>
            <tbody>
                @foreach ($halaqats as $halaqat)
                <tr>
                    <td class="text-center">{{$halaqat->id}}</td>
                    <td class="text-right">{{$halaqat->center_id}}</td>
                    <td>{{$halaqat->level}}</td>
                    <td class="mobile-hidden">{{$halaqat->name}}</td>
                    <td class="mobile-hidden">{{$halaqat->description}}</td>
                    <td class="mobile-hidden text-right">{{$halaqat->state}}</td>
                    <td>{{$halaqat->centers_name}}</td>
                    <td class="text-right">{{$halaqat->centers_id}}</td>
                    <td class="text-center">
                        <a class="ui button small" href="/halaqats/{{$halaqat->id}}" title="View"><i class="eva eva-eye-outline"></i></a>
                        <a class="ui button small primary" href="/halaqats/{{$halaqat->id}}/edit" title="Edit"><i class="eva eva-edit-outline"></i></a>
                        <form action="/halaqats/{{$halaqat->id}}" method="POST">
                            @method("DELETE")
                            @csrf
                            <a class="ui button small red" href="#!" onclick="deleteItem(this)" title="Delete"><i class="eva eva-close-outline"></i></a>
                        </form>
                    </td>
                </tr>
                @endforeach
            </tbody>
        </table>
        <div class="ui grid margin-bottom">
            <div class="eight wide mobile four wide tablet four wide computer column">
                <label>Show
                    <select id="page_size" onchange="location = this.value">
                        <option value="@getLink(size,halaqats,10)" {{request()->input('size') == '10' ? 'selected' : ''}}>10</option>
                        <option value="@getLink(size,halaqats,20)" {{request()->input('size') == '20' ? 'selected' : ''}}>20</option>
                        <option value="@getLink(size,halaqats,30)" {{request()->input('size') == '30' ? 'selected' : ''}}>30</option>
                    </select>
                    entries
                </label>
            </div>
            <div class="eight wide mobile twelve wide tablet twelve wide tablet column">
                <div class="float-right mobile-hidden">
                    <ul class="ui pagination menu">
                        <li class="item{{$halaqats->currentPage() <= 1 ? ' ui disabled' : ''}}"><a href="@getLink(page,halaqats,$halaqats->currentPage()-1)">Prev</a></li>
                        @for ($page = 1; $page <= $halaqats->lastPage(); $page++)
                        <li class="item{{$halaqats->currentPage() == $page ? ' ui active' : ''}}"><a href="@getLink(page,halaqats,$page)">{{$page}}</a></li>
                        @endfor
                        <li class="item{{$halaqats->currentPage() >= $halaqats->lastPage() ? ' ui disabled' : ''}}"><a href="@getLink(page,halaqats,$halaqats->currentPage()+1)">Next</a></li>
                    </ul>
                </div>
                <div class="float-right hidden mobile-visible">
                    <label> Page
                        <select id="page_index" onchange="location = this.value">
                            @for ($page = 1; $page <= $halaqats->lastPage(); $page++)
                            <option value="@getLink(page,halaqats,$page)" {{$halaqats->currentPage() == $page ? 'selected' : ''}}>{{$page}}</option>
                            @endfor
                        </select>
                    </label> of <span>{{$halaqats->lastPage()}}</span>
                    <div class="ui buttons mini">
                        <a class="ui button primary small{{$halaqats->currentPage() <= 1 ? ' ui disabled' : ''}}" href="@getLink(page,halaqats,$halaqats->currentPage()-1)"><i class="eva eva-arrow-ios-back-outline"></i></a>
                        <a class="ui button primary small{{$halaqats->currentPage() >= $halaqats->lastPage() ? ' ui disabled' : ''}}" href="@getLink(page,halaqats,$halaqats->currentPage()+1)"><i class="eva eva-arrow-ios-forward-outline"></i></a>
                    </div>
                </div>
            </div>
        </div>
        <a class="ui button small primary" href="/halaqats/create">Create</a>
    </div>
    <style>
        #searchbar_toggle_menu { display: inline-flex!important }
    </style>
</div>
<script>
    initPage()
</script>
@endsection