@extends('layout')
@section('content')
<div class="ui container">
    <form method="post" action="/instanceses?ref={{urlencode($ref)}}" class="ui form">
        @csrf
        <div class="ui grid">
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="instances_halaqa_id">Halaqa Id</label>
                    <select id="instances_halaqa_id" name="halaqaId" class="ui dropdown">
                        <option></option>
                        @foreach ($halaqats as $halaqat)
                        <option value="{{$halaqat->id}}" {{old('halaqaId') == $halaqat->id ? 'selected' : ''}}>{{$halaqat->level}}</option>
                        @endforeach
                    </select>
                </div>
                @error('halaqaId')<span class="ui red text">{{$message}}</span>@enderror
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="instances_note">Note</label>
                    <input id="instances_note" name="note" class="ui input" value="{{old('note')}}" maxlength="50" />
                </div>
                @error('note')<span class="ui red text">{{$message}}</span>@enderror
            </div>
            <div class="sixteen wide column">
                <a class="ui button small" href="{{$ref}}">Cancel</a>
                <button class="ui button small primary">Submit</button>
            </div>
        </div>
    </form>
</div>
<script>
    initPage(true)
</script>
@endsection