@extends('layout')
@section('content')
<div class="ui container">
    <div class="sixteen wide column"><input id="searchbar_toggle" type="checkbox" />
        <div id="searchbar" class="ui grid margin-bottom form">
            <div class="sixteen wide three wide computer column">
                <select id="search_col" onchange="searchChange()" class="ui dropdown">
                    <option value="instances.id" data-type="number" {{request()->input('sc') == 'instances.id' ? 'selected' : ''}}>Instances Id</option>
                    <option value="instances.note" {{request()->input('sc') == 'instances.note' ? 'selected' : ''}}>Instances Note</option>
                    <option value="halaqat.name" {{request()->input('sc') == 'halaqat.name' ? 'selected' : ''}}>Halaqat Name</option>
                    <option value="instances.create_date" data-type="datetime" {{request()->input('sc') == 'instances.create_date' ? 'selected' : ''}}>Instances Create Date</option>
                </select>
            </div>
            <div class="sixteen wide three wide computer column">
                <select id="search_oper" class="ui dropdown">
                    <option value="c" {{request()->input('so') == 'c' ? 'selected' : ''}}>Contains</option>
                    <option value="e" {{request()->input('so') == 'e' ? 'selected' : ''}}>Equals</option>
                    <option value="g" {{request()->input('so') == 'g' ? 'selected' : ''}}>&gt;</option>
                    <option value="ge" {{request()->input('so') == 'ge' ? 'selected' : ''}}>&gt;&#x3D;</option>
                    <option value="l" {{request()->input('so') == 'l' ? 'selected' : ''}}>&lt;</option>
                    <option value="le" {{request()->input('so') == 'le' ? 'selected' : ''}}>&lt;&#x3D;</option>
                </select>
            </div>
            <div class="sixteen wide three wide computer column">
                <input id="search_word" autocomplete="off" onkeyup="search(event)" value="{{request()->input('sw')}}" class="ui input" />
            </div>
            <div class="sixteen wide seven wide computer column">
                <button class="ui button primary small" onclick="search()">Search</button>
                <button class="ui button small" onclick="clearSearch()">Clear</button>
            </div>
        </div>
        <table class="ui table small striped selectable unstackable">
            <thead>
                <tr>
                    <th class="@getSortClass(instances.id,asc)"><a href="@getLink(sort,instanceses,instances.id,asc)">Id</a></th>
                    <th class="@getSortClass(instances.note)"><a href="@getLink(sort,instanceses,instances.note)">Note</a></th>
                    <th class="@getSortClass(halaqat.name)"><a href="@getLink(sort,instanceses,halaqat.name)">Halaqat Name</a></th>
                    <th class="@getSortClass(instances.create_date)"><a href="@getLink(sort,instanceses,instances.create_date)">Create Date</a></th>
                    <th>Actions</th>
                </tr>
            </thead>
            <tbody>
                @foreach ($instanceses as $instances)
                <tr>
                    <td class="text-center">{{$instances->id}}</td>
                    <td>{{$instances->note}}</td>
                    <td>{{$instances->halaqat_name}}</td>
                    <td class="text-center">{{$instances->create_date}}</td>
                    <td class="text-center">
                        <a class="ui button small" href="/instanceses/{{$instances->id}}" title="View"><i class="eva eva-eye-outline"></i></a>
                        <a class="ui button small primary" href="/instanceses/{{$instances->id}}/edit" title="Edit"><i class="eva eva-edit-outline"></i></a>
                        <form action="/instanceses/{{$instances->id}}" method="POST">
                            @method("DELETE")
                            @csrf
                            <a class="ui button small red" href="#!" onclick="deleteItem(this)" title="Delete"><i class="eva eva-close-outline"></i></a>
                        </form>
                    </td>
                </tr>
                @endforeach
            </tbody>
        </table>
        <div class="ui grid margin-bottom">
            <div class="eight wide mobile four wide tablet four wide computer column">
                <label>Show
                    <select id="page_size" onchange="location = this.value">
                        <option value="@getLink(size,instanceses,10)" {{request()->input('size') == '10' ? 'selected' : ''}}>10</option>
                        <option value="@getLink(size,instanceses,20)" {{request()->input('size') == '20' ? 'selected' : ''}}>20</option>
                        <option value="@getLink(size,instanceses,30)" {{request()->input('size') == '30' ? 'selected' : ''}}>30</option>
                    </select>
                    entries
                </label>
            </div>
            <div class="eight wide mobile twelve wide tablet twelve wide tablet column">
                <div class="float-right mobile-hidden">
                    <ul class="ui pagination menu">
                        <li class="item{{$instanceses->currentPage() <= 1 ? ' ui disabled' : ''}}"><a href="@getLink(page,instanceses,$instanceses->currentPage()-1)">Prev</a></li>
                        @for ($page = 1; $page <= $instanceses->lastPage(); $page++)
                        <li class="item{{$instanceses->currentPage() == $page ? ' ui active' : ''}}"><a href="@getLink(page,instanceses,$page)">{{$page}}</a></li>
                        @endfor
                        <li class="item{{$instanceses->currentPage() >= $instanceses->lastPage() ? ' ui disabled' : ''}}"><a href="@getLink(page,instanceses,$instanceses->currentPage()+1)">Next</a></li>
                    </ul>
                </div>
                <div class="float-right hidden mobile-visible">
                    <label> Page
                        <select id="page_index" onchange="location = this.value">
                            @for ($page = 1; $page <= $instanceses->lastPage(); $page++)
                            <option value="@getLink(page,instanceses,$page)" {{$instanceses->currentPage() == $page ? 'selected' : ''}}>{{$page}}</option>
                            @endfor
                        </select>
                    </label> of <span>{{$instanceses->lastPage()}}</span>
                    <div class="ui buttons mini">
                        <a class="ui button primary small{{$instanceses->currentPage() <= 1 ? ' ui disabled' : ''}}" href="@getLink(page,instanceses,$instanceses->currentPage()-1)"><i class="eva eva-arrow-ios-back-outline"></i></a>
                        <a class="ui button primary small{{$instanceses->currentPage() >= $instanceses->lastPage() ? ' ui disabled' : ''}}" href="@getLink(page,instanceses,$instanceses->currentPage()+1)"><i class="eva eva-arrow-ios-forward-outline"></i></a>
                    </div>
                </div>
            </div>
        </div>
        <a class="ui button small primary" href="/instanceses/create">Create</a>
    </div>
    <style>
        #searchbar_toggle_menu { display: inline-flex!important }
    </style>
</div>
<script>
    initPage()
</script>
@endsection