@extends('layout')
@section('content')
<div class="ui container">
    <form method="post" action="/updateProfile" class="ui form" onsubmit="return validateForm()">
        @csrf
        <div class="ui grid">
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="user_account_name">Name</label>
                    <input id="user_account_name" name="name" class="ui input" value="{{old('name', $userAccount->name)}}" required maxlength="50" />
                </div>
                @error('name')<span class="ui red text">{{$message}}</span>@enderror
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="user_account_email">Email</label>
                    <input id="user_account_email" name="email" class="ui input" value="{{old('email', $userAccount->email)}}" type="email" required maxlength="50" />
                </div>
                @error('email')<span class="ui red text">{{$message}}</span>@enderror
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="user_account_password">Password</label>
                    <input id="user_account_password" name="password" class="ui input" type="password" placeholder="New password" maxlength="100" />
                </div>
                @error('password')<span class="ui red text">{{$message}}</span>@enderror
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="user_account_gender">Gender</label>
                    <input id="user_account_gender" name="gender" class="ui input" value="{{old('gender', $userAccount->gender)}}" maxlength="50" />
                </div>
                @error('gender')<span class="ui red text">{{$message}}</span>@enderror
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="user_account_address">Address</label>
                    <input id="user_account_address" name="address" class="ui input" value="{{old('address', $userAccount->address)}}" maxlength="50" />
                </div>
                @error('address')<span class="ui red text">{{$message}}</span>@enderror
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="user_account_date_of_birth">Date Of Birth</label>
                    <input id="user_account_date_of_birth" name="dateOfBirth" class="ui input" value="{{old('dateOfBirth', $userAccount->dateOfBirth)}}" data-type="date" autocomplete="off" />
                </div>
                @error('dateOfBirth')<span class="ui red text">{{$message}}</span>@enderror
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="user_account_nationality">Nationality</label>
                    <select id="user_account_nationality" name="nationality" class="ui dropdown">
                        <option></option>
                        @foreach ($countries as $country)
                        <option value="{{$country->undefined}}" {{old('nationality', $userAccount->nationality) == $country->undefined ? 'selected' : ''}}>{{$country->undefined}}</option>
                        @endforeach
                    </select>
                </div>
                @error('nationality')<span class="ui red text">{{$message}}</span>@enderror
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="user_account_phone_number">Phone Number</label>
                    <input id="user_account_phone_number" name="phoneNumber" class="ui input" value="{{old('phoneNumber', $userAccount->phoneNumber)}}" maxlength="50" />
                </div>
                @error('phoneNumber')<span class="ui red text">{{$message}}</span>@enderror
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="user_account_parent_phone_number">Parent Phone Number</label>
                    <input id="user_account_parent_phone_number" name="parentPhoneNumber" class="ui input" value="{{old('parentPhoneNumber', $userAccount->parentPhoneNumber)}}" maxlength="50" />
                </div>
                @error('parentPhoneNumber')<span class="ui red text">{{$message}}</span>@enderror
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="user_account_note">Note</label>
                    <input id="user_account_note" name="note" class="ui input" value="{{old('note', $userAccount->note)}}" maxlength="50" />
                </div>
                @error('note')<span class="ui red text">{{$message}}</span>@enderror
            </div>
            <div class="sixteen wide column">
                <button class="ui button small primary">Submit</button>
            </div>
        </div>
    </form>
</div>
<script>
    initPage(true)
</script>
@endsection