@extends('layout')
@section('content')
<div class="ui container">
    <form method="post" action="/reportCards/{{$reportCard->id}}?ref={{urlencode($ref)}}" class="ui form">
        @method("PATCH")
        @csrf
        <div class="ui grid">
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="report_card_id">Id</label>
                    <input readonly id="report_card_id" name="id" class="ui input" value="{{old('id', $reportCard->id)}}" type="number" required />
                </div>
                @error('id')<span class="ui red text">{{$message}}</span>@enderror
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="report_card_student_id">Student Id</label>
                    <select id="report_card_student_id" name="studentId" class="ui dropdown">
                        <option></option>
                        @foreach ($userAccounts as $userAccount)
                        <option value="{{$userAccount->id}}" {{old('studentId', $reportCard->studentId) == $userAccount->id ? 'selected' : ''}}>{{$userAccount->name}}</option>
                        @endforeach
                    </select>
                </div>
                @error('studentId')<span class="ui red text">{{$message}}</span>@enderror
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="report_card_halaqa_id">Halaqa Id</label>
                    <select id="report_card_halaqa_id" name="halaqaId" class="ui dropdown">
                        <option></option>
                        @foreach ($halaqats as $halaqat)
                        <option value="{{$halaqat->id}}" {{old('halaqaId', $reportCard->halaqaId) == $halaqat->id ? 'selected' : ''}}>{{$halaqat->level}}</option>
                        @endforeach
                    </select>
                </div>
                @error('halaqaId')<span class="ui red text">{{$message}}</span>@enderror
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="report_card_precentage">Precentage</label>
                    <input id="report_card_precentage" name="precentage" class="ui input" value="{{old('precentage', $reportCard->precentage)}}" type="number" step="any" />
                </div>
                @error('precentage')<span class="ui red text">{{$message}}</span>@enderror
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="report_card_soura">Soura</label>
                    <input id="report_card_soura" name="soura" class="ui input" value="{{old('soura', $reportCard->soura)}}" maxlength="50" />
                </div>
                @error('soura')<span class="ui red text">{{$message}}</span>@enderror
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="report_card_numbe_of_ayat_in_soura">Numbe Of Ayat In Soura</label>
                    <input id="report_card_numbe_of_ayat_in_soura" name="numbeOfAyatInSoura" class="ui input" value="{{old('numbeOfAyatInSoura', $reportCard->numbeOfAyatInSoura)}}" type="number" />
                </div>
                @error('numbeOfAyatInSoura')<span class="ui red text">{{$message}}</span>@enderror
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="report_card_number_of_ayat_memorized">Number Of Ayat Memorized</label>
                    <input id="report_card_number_of_ayat_memorized" name="numberOfAyatMemorized" class="ui input" value="{{old('numberOfAyatMemorized', $reportCard->numberOfAyatMemorized)}}" type="number" />
                </div>
                @error('numberOfAyatMemorized')<span class="ui red text">{{$message}}</span>@enderror
            </div>
            <div class="sixteen wide column">
                <a class="ui button small" href="{{$ref}}">Cancel</a>
                <button class="ui button small primary">Submit</button>
            </div>
        </div>
    </form>
</div>
<script>
    initPage(true)
</script>
@endsection