@extends('layout')
@section('content')
<div class="ui container">
    <div class="sixteen wide column"><input id="searchbar_toggle" type="checkbox" />
        <div id="searchbar" class="ui grid margin-bottom form">
            <div class="sixteen wide three wide computer column">
                <select id="search_col" onchange="searchChange()" class="ui dropdown">
                    <option value="reportCard.id" data-type="number" {{request()->input('sc') == 'reportCard.id' ? 'selected' : ''}}>Report Card Id</option>
                    <option value="reportCard.soura" {{request()->input('sc') == 'reportCard.soura' ? 'selected' : ''}}>Report Card Soura</option>
                    <option value="reportCard.numbeOfAyatInSoura" data-type="number" {{request()->input('sc') == 'reportCard.numbeOfAyatInSoura' ? 'selected' : ''}}>Report Card Numbe Of Ayat In Soura</option>
                    <option value="reportCard.numberOfAyatMemorized" data-type="number" {{request()->input('sc') == 'reportCard.numberOfAyatMemorized' ? 'selected' : ''}}>Report Card Number Of Ayat Memorized</option>
                    <option value="halaqat.name" {{request()->input('sc') == 'halaqat.name' ? 'selected' : ''}}>Halaqat Name</option>
                    <option value="UserAccount.name" {{request()->input('sc') == 'UserAccount.name' ? 'selected' : ''}}>User Account Name</option>
                    <option value="reportCard.precentage" data-type="number" {{request()->input('sc') == 'reportCard.precentage' ? 'selected' : ''}}>Report Card Precentage</option>
                </select>
            </div>
            <div class="sixteen wide three wide computer column">
                <select id="search_oper" class="ui dropdown">
                    <option value="c" {{request()->input('so') == 'c' ? 'selected' : ''}}>Contains</option>
                    <option value="e" {{request()->input('so') == 'e' ? 'selected' : ''}}>Equals</option>
                    <option value="g" {{request()->input('so') == 'g' ? 'selected' : ''}}>&gt;</option>
                    <option value="ge" {{request()->input('so') == 'ge' ? 'selected' : ''}}>&gt;&#x3D;</option>
                    <option value="l" {{request()->input('so') == 'l' ? 'selected' : ''}}>&lt;</option>
                    <option value="le" {{request()->input('so') == 'le' ? 'selected' : ''}}>&lt;&#x3D;</option>
                </select>
            </div>
            <div class="sixteen wide three wide computer column">
                <input id="search_word" autocomplete="off" onkeyup="search(event)" value="{{request()->input('sw')}}" class="ui input" />
            </div>
            <div class="sixteen wide seven wide computer column">
                <button class="ui button primary small" onclick="search()">Search</button>
                <button class="ui button small" onclick="clearSearch()">Clear</button>
            </div>
        </div>
        <table class="ui table small striped selectable unstackable">
            <thead>
                <tr>
                    <th class="@getSortClass(reportCard.id,asc)"><a href="@getLink(sort,reportCards,reportCard.id,asc)">Id</a></th>
                    <th class="@getSortClass(reportCard.soura) mobile-hidden"><a href="@getLink(sort,reportCards,reportCard.soura)">Soura</a></th>
                    <th class="@getSortClass(reportCard.numbeOfAyatInSoura) mobile-hidden"><a href="@getLink(sort,reportCards,reportCard.numbeOfAyatInSoura)">Numbe Of Ayat In Soura</a></th>
                    <th class="@getSortClass(reportCard.numberOfAyatMemorized) mobile-hidden"><a href="@getLink(sort,reportCards,reportCard.numberOfAyatMemorized)">Number Of Ayat Memorized</a></th>
                    <th class="@getSortClass(halaqat.name)"><a href="@getLink(sort,reportCards,halaqat.name)">Halaqat Name</a></th>
                    <th class="@getSortClass(UserAccount.name)"><a href="@getLink(sort,reportCards,UserAccount.name)">Student Name</a></th>
                    <th class="@getSortClass(reportCard.precentage)"><a href="@getLink(sort,reportCards,reportCard.precentage)">Precentage</a></th>
                    <th>Actions</th>
                </tr>
            </thead>
            <tbody>
                @foreach ($reportCards as $reportCard)
                <tr>
                    <td class="text-center">{{$reportCard->id}}</td>
                    <td class="mobile-hidden">{{$reportCard->soura}}</td>
                    <td class="mobile-hidden text-right">{{$reportCard->numbeOfAyatInSoura}}</td>
                    <td class="mobile-hidden text-right">{{$reportCard->numberOfAyatMemorized}}</td>
                    <td>{{$reportCard->halaqat_name}}</td>
                    <td>{{$reportCard->user_account_name}}</td>
                    <td class="text-right">{{$reportCard->precentage}}</td>
                    <td class="text-center">
                        <a class="ui button small" href="/reportCards/{{$reportCard->id}}" title="View"><i class="eva eva-eye-outline"></i></a>
                        <a class="ui button small primary" href="/reportCards/{{$reportCard->id}}/edit" title="Edit"><i class="eva eva-edit-outline"></i></a>
                        <form action="/reportCards/{{$reportCard->id}}" method="POST">
                            @method("DELETE")
                            @csrf
                            <a class="ui button small red" href="#!" onclick="deleteItem(this)" title="Delete"><i class="eva eva-close-outline"></i></a>
                        </form>
                    </td>
                </tr>
                @endforeach
            </tbody>
        </table>
        <div class="ui grid margin-bottom">
            <div class="eight wide mobile four wide tablet four wide computer column">
                <label>Show
                    <select id="page_size" onchange="location = this.value">
                        <option value="@getLink(size,reportCards,10)" {{request()->input('size') == '10' ? 'selected' : ''}}>10</option>
                        <option value="@getLink(size,reportCards,20)" {{request()->input('size') == '20' ? 'selected' : ''}}>20</option>
                        <option value="@getLink(size,reportCards,30)" {{request()->input('size') == '30' ? 'selected' : ''}}>30</option>
                    </select>
                    entries
                </label>
            </div>
            <div class="eight wide mobile twelve wide tablet twelve wide tablet column">
                <div class="float-right mobile-hidden">
                    <ul class="ui pagination menu">
                        <li class="item{{$reportCards->currentPage() <= 1 ? ' ui disabled' : ''}}"><a href="@getLink(page,reportCards,$reportCards->currentPage()-1)">Prev</a></li>
                        @for ($page = 1; $page <= $reportCards->lastPage(); $page++)
                        <li class="item{{$reportCards->currentPage() == $page ? ' ui active' : ''}}"><a href="@getLink(page,reportCards,$page)">{{$page}}</a></li>
                        @endfor
                        <li class="item{{$reportCards->currentPage() >= $reportCards->lastPage() ? ' ui disabled' : ''}}"><a href="@getLink(page,reportCards,$reportCards->currentPage()+1)">Next</a></li>
                    </ul>
                </div>
                <div class="float-right hidden mobile-visible">
                    <label> Page
                        <select id="page_index" onchange="location = this.value">
                            @for ($page = 1; $page <= $reportCards->lastPage(); $page++)
                            <option value="@getLink(page,reportCards,$page)" {{$reportCards->currentPage() == $page ? 'selected' : ''}}>{{$page}}</option>
                            @endfor
                        </select>
                    </label> of <span>{{$reportCards->lastPage()}}</span>
                    <div class="ui buttons mini">
                        <a class="ui button primary small{{$reportCards->currentPage() <= 1 ? ' ui disabled' : ''}}" href="@getLink(page,reportCards,$reportCards->currentPage()-1)"><i class="eva eva-arrow-ios-back-outline"></i></a>
                        <a class="ui button primary small{{$reportCards->currentPage() >= $reportCards->lastPage() ? ' ui disabled' : ''}}" href="@getLink(page,reportCards,$reportCards->currentPage()+1)"><i class="eva eva-arrow-ios-forward-outline"></i></a>
                    </div>
                </div>
            </div>
        </div>
        <a class="ui button small primary" href="/reportCards/create">Create</a>
    </div>
    <style>
        #searchbar_toggle_menu { display: inline-flex!important }
    </style>
</div>
<script>
    initPage()
</script>
@endsection