@extends('layout')
@section('content')
<div class="ui container">
    <form method="post" action="/roles/{{$role->id}}?ref={{urlencode($ref)}}" class="ui form">
        @method("PATCH")
        @csrf
        <div class="ui grid">
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="role_id">Id</label>
                    <input readonly id="role_id" name="id" class="ui input" value="{{old('id', $role->id)}}" type="number" required />
                </div>
                @error('id')<span class="ui red text">{{$message}}</span>@enderror
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="role_name">Name</label>
                    <input id="role_name" name="name" class="ui input" value="{{old('name', $role->name)}}" required maxlength="50" />
                </div>
                @error('name')<span class="ui red text">{{$message}}</span>@enderror
            </div>
            <div class="sixteen wide column">
                <a class="ui button small" href="{{$ref}}">Cancel</a>
                <button class="ui button small primary">Submit</button>
            </div>
        </div>
    </form>
</div>
<script>
    initPage(true)
</script>
@endsection