@extends('layout')
@section('content')
<div class="ui container">
    <form method="post" action="/settingses/{{$settings->id}}?ref={{urlencode($ref)}}" class="ui form">
        @method("PATCH")
        @csrf
        <div class="ui grid">
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="settings_facebook">Facebook</label>
                    <input id="settings_facebook" name="facebook" class="ui input" value="{{old('facebook', $settings->facebook)}}" maxlength="50" />
                </div>
                @error('facebook')<span class="ui red text">{{$message}}</span>@enderror
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="settings_insta">Insta</label>
                    <input id="settings_insta" name="insta" class="ui input" value="{{old('insta', $settings->insta)}}" maxlength="50" />
                </div>
                @error('insta')<span class="ui red text">{{$message}}</span>@enderror
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="settings_phone1">Phone1</label>
                    <input id="settings_phone1" name="phone1" class="ui input" value="{{old('phone1', $settings->phone1)}}" maxlength="50" />
                </div>
                @error('phone1')<span class="ui red text">{{$message}}</span>@enderror
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="settings_phone2">Phone2</label>
                    <input id="settings_phone2" name="phone2" class="ui input" value="{{old('phone2', $settings->phone2)}}" maxlength="50" />
                </div>
                @error('phone2')<span class="ui red text">{{$message}}</span>@enderror
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="settings_whatsup">Whatsup</label>
                    <input id="settings_whatsup" name="whatsup" class="ui input" value="{{old('whatsup', $settings->whatsup)}}" maxlength="50" />
                </div>
                @error('whatsup')<span class="ui red text">{{$message}}</span>@enderror
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="settings_app_version">App Version</label>
                    <input id="settings_app_version" name="appVersion" class="ui input" value="{{old('appVersion', $settings->appVersion)}}" type="number" />
                </div>
                @error('appVersion')<span class="ui red text">{{$message}}</span>@enderror
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="settings_id">Id</label>
                    <input readonly id="settings_id" name="id" class="ui input" value="{{old('id', $settings->id)}}" required maxlength="50" />
                </div>
                @error('id')<span class="ui red text">{{$message}}</span>@enderror
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="settings_support_page">Support Page</label>
                    <input id="settings_support_page" name="supportPage" class="ui input" value="{{old('supportPage', $settings->supportPage)}}" maxlength="50" />
                </div>
                @error('supportPage')<span class="ui red text">{{$message}}</span>@enderror
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="settings_privancy_page">Privancy Page</label>
                    <input id="settings_privancy_page" name="privancyPage" class="ui input" value="{{old('privancyPage', $settings->privancyPage)}}" maxlength="50" />
                </div>
                @error('privancyPage')<span class="ui red text">{{$message}}</span>@enderror
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="settings_term_and_condition_page">Term And Condition Page</label>
                    <input id="settings_term_and_condition_page" name="termAndCOnditionPage" class="ui input" value="{{old('termAndCOnditionPage', $settings->termAndCOnditionPage)}}" maxlength="50" />
                </div>
                @error('termAndCOnditionPage')<span class="ui red text">{{$message}}</span>@enderror
            </div>
            <div class="sixteen wide column">
                <a class="ui button small" href="{{$ref}}">Cancel</a>
                <button class="ui button small primary">Submit</button>
            </div>
        </div>
    </form>
</div>
<script>
    initPage(true)
</script>
@endsection