@extends('layout')
@section('content')
<div class="ui container">
    <div class="sixteen wide column">
        <h3>Settings</h3><input id="searchbar_toggle" type="checkbox" />
        <div id="searchbar" class="ui grid margin-bottom form">
            <div class="sixteen wide three wide computer column">
                <select id="search_col" onchange="searchChange()" class="ui dropdown">
                    <option value="Settings.facebook" {{request()->input('sc') == 'Settings.facebook' ? 'selected' : ''}}>Settings Facebook</option>
                    <option value="Settings.insta" {{request()->input('sc') == 'Settings.insta' ? 'selected' : ''}}>Settings Insta</option>
                    <option value="Settings.phone1" {{request()->input('sc') == 'Settings.phone1' ? 'selected' : ''}}>Settings Phone1</option>
                    <option value="Settings.phone2" {{request()->input('sc') == 'Settings.phone2' ? 'selected' : ''}}>Settings Phone2</option>
                    <option value="Settings.whatsup" {{request()->input('sc') == 'Settings.whatsup' ? 'selected' : ''}}>Settings Whatsup</option>
                    <option value="Settings.appVersion" data-type="number" {{request()->input('sc') == 'Settings.appVersion' ? 'selected' : ''}}>Settings App Version</option>
                    <option value="Settings.supportPage" {{request()->input('sc') == 'Settings.supportPage' ? 'selected' : ''}}>Settings Support Page</option>
                    <option value="Settings.privancyPage" {{request()->input('sc') == 'Settings.privancyPage' ? 'selected' : ''}}>Settings Privancy Page</option>
                    <option value="Settings.termAndCOnditionPage" {{request()->input('sc') == 'Settings.termAndCOnditionPage' ? 'selected' : ''}}>Settings Term And Condition Page</option>
                    <option value="Settings.id" {{request()->input('sc') == 'Settings.id' ? 'selected' : ''}}>Settings Id</option>
                </select>
            </div>
            <div class="sixteen wide three wide computer column">
                <select id="search_oper" class="ui dropdown">
                    <option value="c" {{request()->input('so') == 'c' ? 'selected' : ''}}>Contains</option>
                    <option value="e" {{request()->input('so') == 'e' ? 'selected' : ''}}>Equals</option>
                    <option value="g" {{request()->input('so') == 'g' ? 'selected' : ''}}>&gt;</option>
                    <option value="ge" {{request()->input('so') == 'ge' ? 'selected' : ''}}>&gt;&#x3D;</option>
                    <option value="l" {{request()->input('so') == 'l' ? 'selected' : ''}}>&lt;</option>
                    <option value="le" {{request()->input('so') == 'le' ? 'selected' : ''}}>&lt;&#x3D;</option>
                </select>
            </div>
            <div class="sixteen wide three wide computer column">
                <input id="search_word" autocomplete="off" onkeyup="search(event)" value="{{request()->input('sw')}}" class="ui input" />
            </div>
            <div class="sixteen wide seven wide computer column">
                <button class="ui button primary small" onclick="search()">Search</button>
                <button class="ui button small" onclick="clearSearch()">Clear</button>
            </div>
        </div>
        <table class="ui table small striped selectable unstackable">
            <thead>
                <tr>
                    <th class="@getSortClass(Settings.facebook,asc)"><a href="@getLink(sort,settingses,Settings.facebook,asc)">Facebook</a></th>
                    <th class="@getSortClass(Settings.insta)"><a href="@getLink(sort,settingses,Settings.insta)">Insta</a></th>
                    <th class="@getSortClass(Settings.phone1)"><a href="@getLink(sort,settingses,Settings.phone1)">Phone1</a></th>
                    <th class="@getSortClass(Settings.phone2) mobile-hidden"><a href="@getLink(sort,settingses,Settings.phone2)">Phone2</a></th>
                    <th class="@getSortClass(Settings.whatsup) mobile-hidden"><a href="@getLink(sort,settingses,Settings.whatsup)">Whatsup</a></th>
                    <th class="@getSortClass(Settings.appVersion) mobile-hidden"><a href="@getLink(sort,settingses,Settings.appVersion)">App Version</a></th>
                    <th class="@getSortClass(Settings.supportPage) mobile-hidden"><a href="@getLink(sort,settingses,Settings.supportPage)">Support Page</a></th>
                    <th class="@getSortClass(Settings.privancyPage) mobile-hidden"><a href="@getLink(sort,settingses,Settings.privancyPage)">Privancy Page</a></th>
                    <th class="@getSortClass(Settings.termAndCOnditionPage) mobile-hidden"><a href="@getLink(sort,settingses,Settings.termAndCOnditionPage)">Term And Condition Page</a></th>
                    <th>Actions</th>
                </tr>
            </thead>
            <tbody>
                @foreach ($settingses as $settings)
                <tr>
                    <td>{{$settings->facebook}}</td>
                    <td>{{$settings->insta}}</td>
                    <td>{{$settings->phone1}}</td>
                    <td class="mobile-hidden">{{$settings->phone2}}</td>
                    <td class="mobile-hidden">{{$settings->whatsup}}</td>
                    <td class="mobile-hidden text-right">{{$settings->appVersion}}</td>
                    <td class="mobile-hidden">{{$settings->supportPage}}</td>
                    <td class="mobile-hidden">{{$settings->privancyPage}}</td>
                    <td class="mobile-hidden">{{$settings->termAndCOnditionPage}}</td>
                    <td class="text-center">
                        <a class="ui button small" href="/settingses/{{$settings->id}}" title="View"><i class="eva eva-eye-outline"></i></a>
                        <a class="ui button small primary" href="/settingses/{{$settings->id}}/edit" title="Edit"><i class="eva eva-edit-outline"></i></a>
                        <form action="/settingses/{{$settings->id}}" method="POST">
                            @method("DELETE")
                            @csrf
                            <a class="ui button small red" href="#!" onclick="deleteItem(this)" title="Delete"><i class="eva eva-close-outline"></i></a>
                        </form>
                    </td>
                </tr>
                @endforeach
            </tbody>
        </table>
        <div class="ui grid margin-bottom">
            <div class="eight wide mobile four wide tablet four wide computer column">
                <label>Show
                    <select id="page_size" onchange="location = this.value">
                        <option value="@getLink(size,settingses,10)" {{request()->input('size') == '10' ? 'selected' : ''}}>10</option>
                        <option value="@getLink(size,settingses,20)" {{request()->input('size') == '20' ? 'selected' : ''}}>20</option>
                        <option value="@getLink(size,settingses,30)" {{request()->input('size') == '30' ? 'selected' : ''}}>30</option>
                    </select>
                    entries
                </label>
            </div>
            <div class="eight wide mobile twelve wide tablet twelve wide tablet column">
                <div class="float-right mobile-hidden">
                    <ul class="ui pagination menu">
                        <li class="item{{$settingses->currentPage() <= 1 ? ' ui disabled' : ''}}"><a href="@getLink(page,settingses,$settingses->currentPage()-1)">Prev</a></li>
                        @for ($page = 1; $page <= $settingses->lastPage(); $page++)
                        <li class="item{{$settingses->currentPage() == $page ? ' ui active' : ''}}"><a href="@getLink(page,settingses,$page)">{{$page}}</a></li>
                        @endfor
                        <li class="item{{$settingses->currentPage() >= $settingses->lastPage() ? ' ui disabled' : ''}}"><a href="@getLink(page,settingses,$settingses->currentPage()+1)">Next</a></li>
                    </ul>
                </div>
                <div class="float-right hidden mobile-visible">
                    <label> Page
                        <select id="page_index" onchange="location = this.value">
                            @for ($page = 1; $page <= $settingses->lastPage(); $page++)
                            <option value="@getLink(page,settingses,$page)" {{$settingses->currentPage() == $page ? 'selected' : ''}}>{{$page}}</option>
                            @endfor
                        </select>
                    </label> of <span>{{$settingses->lastPage()}}</span>
                    <div class="ui buttons mini">
                        <a class="ui button primary small{{$settingses->currentPage() <= 1 ? ' ui disabled' : ''}}" href="@getLink(page,settingses,$settingses->currentPage()-1)"><i class="eva eva-arrow-ios-back-outline"></i></a>
                        <a class="ui button primary small{{$settingses->currentPage() >= $settingses->lastPage() ? ' ui disabled' : ''}}" href="@getLink(page,settingses,$settingses->currentPage()+1)"><i class="eva eva-arrow-ios-forward-outline"></i></a>
                    </div>
                </div>
            </div>
        </div>
        <a class="ui button small primary" href="/settingses/create">Create</a>
    </div>
    <style>
        #searchbar_toggle_menu { display: inline-flex!important }
    </style>
</div>
<script>
    initPage()
</script>
@endsection