@extends('layout')
@section('content')
<div class="ui container">
    <div class="sixteen wide column"><input id="searchbar_toggle" type="checkbox" />
        <div id="searchbar" class="ui grid margin-bottom form">
            <div class="sixteen wide three wide computer column">
                <select id="search_col" onchange="searchChange()" class="ui dropdown">
                    <option value="studentHalaqat.studentId" data-type="number" {{request()->input('sc') == 'studentHalaqat.studentId' ? 'selected' : ''}}>Student Halaqat Student Id</option>
                    <option value="studentHalaqat.halaqatId" data-type="number" {{request()->input('sc') == 'studentHalaqat.halaqatId' ? 'selected' : ''}}>Student Halaqat Halaqat Id</option>
                </select>
            </div>
            <div class="sixteen wide three wide computer column">
                <select id="search_oper" class="ui dropdown">
                    <option value="c" {{request()->input('so') == 'c' ? 'selected' : ''}}>Contains</option>
                    <option value="e" {{request()->input('so') == 'e' ? 'selected' : ''}}>Equals</option>
                    <option value="g" {{request()->input('so') == 'g' ? 'selected' : ''}}>&gt;</option>
                    <option value="ge" {{request()->input('so') == 'ge' ? 'selected' : ''}}>&gt;&#x3D;</option>
                    <option value="l" {{request()->input('so') == 'l' ? 'selected' : ''}}>&lt;</option>
                    <option value="le" {{request()->input('so') == 'le' ? 'selected' : ''}}>&lt;&#x3D;</option>
                </select>
            </div>
            <div class="sixteen wide three wide computer column">
                <input id="search_word" autocomplete="off" onkeyup="search(event)" value="{{request()->input('sw')}}" class="ui input" />
            </div>
            <div class="sixteen wide seven wide computer column">
                <button class="ui button primary small" onclick="search()">Search</button>
                <button class="ui button small" onclick="clearSearch()">Clear</button>
            </div>
        </div>
        <table class="ui table small striped selectable unstackable">
            <thead>
                <tr>
                    <th class="@getSortClass(studentHalaqat.studentId,asc)"><a href="@getLink(sort,studentHalaqats,studentHalaqat.studentId,asc)">Student Id</a></th>
                    <th class="@getSortClass(studentHalaqat.halaqatId)"><a href="@getLink(sort,studentHalaqats,studentHalaqat.halaqatId)">Halaqat Id</a></th>
                    <th>Actions</th>
                </tr>
            </thead>
            <tbody>
                @foreach ($studentHalaqats as $studentHalaqat)
                <tr>
                    <td class="text-center">{{$studentHalaqat->studentId}}</td>
                    <td class="text-center">{{$studentHalaqat->halaqatId}}</td>
                    <td class="text-center">
                        <a class="ui button small" href="/studentHalaqats/{{$studentHalaqat->studentId}}/{{$studentHalaqat->halaqatId}}" title="View"><i class="eva eva-eye-outline"></i></a>
                        <a class="ui button small primary" href="/studentHalaqats/{{$studentHalaqat->studentId}}/{{$studentHalaqat->halaqatId}}/edit" title="Edit"><i class="eva eva-edit-outline"></i></a>
                        <form action="/studentHalaqats/{{$studentHalaqat->studentId}}/{{$studentHalaqat->halaqatId}}" method="POST">
                            @method("DELETE")
                            @csrf
                            <a class="ui button small red" href="#!" onclick="deleteItem(this)" title="Delete"><i class="eva eva-close-outline"></i></a>
                        </form>
                    </td>
                </tr>
                @endforeach
            </tbody>
        </table>
        <div class="ui grid margin-bottom">
            <div class="eight wide mobile four wide tablet four wide computer column">
                <label>Show
                    <select id="page_size" onchange="location = this.value">
                        <option value="@getLink(size,studentHalaqats,10)" {{request()->input('size') == '10' ? 'selected' : ''}}>10</option>
                        <option value="@getLink(size,studentHalaqats,20)" {{request()->input('size') == '20' ? 'selected' : ''}}>20</option>
                        <option value="@getLink(size,studentHalaqats,30)" {{request()->input('size') == '30' ? 'selected' : ''}}>30</option>
                    </select>
                    entries
                </label>
            </div>
            <div class="eight wide mobile twelve wide tablet twelve wide tablet column">
                <div class="float-right mobile-hidden">
                    <ul class="ui pagination menu">
                        <li class="item{{$studentHalaqats->currentPage() <= 1 ? ' ui disabled' : ''}}"><a href="@getLink(page,studentHalaqats,$studentHalaqats->currentPage()-1)">Prev</a></li>
                        @for ($page = 1; $page <= $studentHalaqats->lastPage(); $page++)
                        <li class="item{{$studentHalaqats->currentPage() == $page ? ' ui active' : ''}}"><a href="@getLink(page,studentHalaqats,$page)">{{$page}}</a></li>
                        @endfor
                        <li class="item{{$studentHalaqats->currentPage() >= $studentHalaqats->lastPage() ? ' ui disabled' : ''}}"><a href="@getLink(page,studentHalaqats,$studentHalaqats->currentPage()+1)">Next</a></li>
                    </ul>
                </div>
                <div class="float-right hidden mobile-visible">
                    <label> Page
                        <select id="page_index" onchange="location = this.value">
                            @for ($page = 1; $page <= $studentHalaqats->lastPage(); $page++)
                            <option value="@getLink(page,studentHalaqats,$page)" {{$studentHalaqats->currentPage() == $page ? 'selected' : ''}}>{{$page}}</option>
                            @endfor
                        </select>
                    </label> of <span>{{$studentHalaqats->lastPage()}}</span>
                    <div class="ui buttons mini">
                        <a class="ui button primary small{{$studentHalaqats->currentPage() <= 1 ? ' ui disabled' : ''}}" href="@getLink(page,studentHalaqats,$studentHalaqats->currentPage()-1)"><i class="eva eva-arrow-ios-back-outline"></i></a>
                        <a class="ui button primary small{{$studentHalaqats->currentPage() >= $studentHalaqats->lastPage() ? ' ui disabled' : ''}}" href="@getLink(page,studentHalaqats,$studentHalaqats->currentPage()+1)"><i class="eva eva-arrow-ios-forward-outline"></i></a>
                    </div>
                </div>
            </div>
        </div>
        <a class="ui button small primary" href="/studentHalaqats/create">Create</a>
    </div>
    <style>
        #searchbar_toggle_menu { display: inline-flex!important }
    </style>
</div>
<script>
    initPage()
</script>
@endsection