@extends('layout')
@section('content')
<div class="ui container">
    <form method="post" action="/studentInstances?ref={{urlencode($ref)}}" class="ui form">
        @csrf
        <div class="ui grid">
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="student_instance_student_id">Student Name</label>
                    <select id="student_instance_student_id" name="StudentId" class="ui dropdown">
                        <option></option>
                        @foreach ($userAccounts as $userAccount)
                        <option value="{{$userAccount->id}}" {{old('StudentId') == $userAccount->id ? 'selected' : ''}}>{{$userAccount->name}}</option>
                        @endforeach
                    </select>
                </div>
                @error('StudentId')<span class="ui red text">{{$message}}</span>@enderror
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="student_instance_halaqat_id">Halaqat</label>
                    <select id="student_instance_halaqat_id" name="HalaqatId" class="ui dropdown">
                        <option></option>
                        @foreach ($halaqats as $halaqat)
                        <option value="{{$halaqat->id}}" {{old('HalaqatId') == $halaqat->id ? 'selected' : ''}}>{{$halaqat->level}}</option>
                        @endforeach
                    </select>
                </div>
                @error('HalaqatId')<span class="ui red text">{{$message}}</span>@enderror
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="student_instance_note">Note</label>
                    <input id="student_instance_note" name="note" class="ui input" value="{{old('note')}}" maxlength="50" />
                </div>
                @error('note')<span class="ui red text">{{$message}}</span>@enderror
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="student_instance_state">State</label>
                    <select id="student_instance_state" name="state" class="ui dropdown">
                        <option value="1" {{old('state') == 1 ? 'selected' : ''}}>Present</option>
                        <option value="2" {{old('state') == 2 ? 'selected' : ''}}>Absent</option>
                        <option value="3" {{old('state') == 3 ? 'selected' : ''}}>AbsentWithExecuse</option>
                        <option value="4" {{old('state') == 4 ? 'selected' : ''}}>Late</option>
                    </select>
                </div>
                @error('state')<span class="ui red text"></span>@enderror
            </div>
            <div class="sixteen wide column">
                <a class="ui button small" href="{{$ref}}">Cancel</a>
                <button class="ui button small primary">Submit</button>
            </div>
        </div>
    </form>
</div>
<script>
    initPage(true)
</script>
@endsection