@extends('layout')
@section('content')
<div class="ui container">
    <form method="post" action="/studentInstances/{{$studentInstance->id}}?ref={{urlencode($ref)}}" class="ui form">
        @method("PATCH")
        @csrf
        <div class="ui grid">
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="student_instance_id">Id</label>
                    <input readonly id="student_instance_id" name="id" class="ui input" value="{{old('id', $studentInstance->id)}}" type="number" required />
                </div>
                @error('id')<span class="ui red text">{{$message}}</span>@enderror
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="student_instance_student_id">Student Id</label>
                    <select id="student_instance_student_id" name="StudentId" class="ui dropdown">
                        <option></option>
                        @foreach ($userAccounts as $userAccount)
                        <option value="{{$userAccount->id}}" {{old('StudentId', $studentInstance->StudentId) == $userAccount->id ? 'selected' : ''}}>{{$userAccount->name}}</option>
                        @endforeach
                    </select>
                </div>
                @error('StudentId')<span class="ui red text">{{$message}}</span>@enderror
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="student_instance_halaqat_id">Halaqat Id</label>
                    <select id="student_instance_halaqat_id" name="HalaqatId" class="ui dropdown">
                        <option></option>
                        @foreach ($halaqats as $halaqat)
                        <option value="{{$halaqat->id}}" {{old('HalaqatId', $studentInstance->HalaqatId) == $halaqat->id ? 'selected' : ''}}>{{$halaqat->level}}</option>
                        @endforeach
                    </select>
                </div>
                @error('HalaqatId')<span class="ui red text">{{$message}}</span>@enderror
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="student_instance_note">Note</label>
                    <input id="student_instance_note" name="note" class="ui input" value="{{old('note', $studentInstance->note)}}" maxlength="50" />
                </div>
                @error('note')<span class="ui red text">{{$message}}</span>@enderror
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="student_instance_state">State</label>
                    <input id="student_instance_state" name="state" class="ui input" value="{{old('state', $studentInstance->state)}}" maxlength="50" />
                </div>
                @error('state')<span class="ui red text">{{$message}}</span>@enderror
            </div>
            <div class="sixteen wide column">
                <a class="ui button small" href="{{$ref}}">Cancel</a>
                <button class="ui button small primary">Submit</button>
            </div>
        </div>
    </form>
</div>
<script>
    initPage(true)
</script>
@endsection