@extends('layout')
@section('content')
<div class="ui container">
    <div class="sixteen wide column"><input id="searchbar_toggle" type="checkbox" />
        <div id="searchbar" class="ui grid margin-bottom form">
            <div class="sixteen wide three wide computer column">
                <select id="search_col" onchange="searchChange()" class="ui dropdown">
                    <option value="studentInstance.id" data-type="number" {{request()->input('sc') == 'studentInstance.id' ? 'selected' : ''}}>Student Instance Id</option>
                    <option value="studentInstance.note" {{request()->input('sc') == 'studentInstance.note' ? 'selected' : ''}}>Student Instance Note</option>
                    <option value="UserAccount.name" {{request()->input('sc') == 'UserAccount.name' ? 'selected' : ''}}>User Account Name</option>
                    <option value="halaqat.name" {{request()->input('sc') == 'halaqat.name' ? 'selected' : ''}}>Halaqat Name</option>
                    <option value="studentInstance.state" {{request()->input('sc') == 'studentInstance.state' ? 'selected' : ''}}>Student Instance State</option>
                </select>
            </div>
            <div class="sixteen wide three wide computer column">
                <select id="search_oper" class="ui dropdown">
                    <option value="c" {{request()->input('so') == 'c' ? 'selected' : ''}}>Contains</option>
                    <option value="e" {{request()->input('so') == 'e' ? 'selected' : ''}}>Equals</option>
                    <option value="g" {{request()->input('so') == 'g' ? 'selected' : ''}}>&gt;</option>
                    <option value="ge" {{request()->input('so') == 'ge' ? 'selected' : ''}}>&gt;&#x3D;</option>
                    <option value="l" {{request()->input('so') == 'l' ? 'selected' : ''}}>&lt;</option>
                    <option value="le" {{request()->input('so') == 'le' ? 'selected' : ''}}>&lt;&#x3D;</option>
                </select>
            </div>
            <div class="sixteen wide three wide computer column">
                <input id="search_word" autocomplete="off" onkeyup="search(event)" value="{{request()->input('sw')}}" class="ui input" />
            </div>
            <div class="sixteen wide seven wide computer column">
                <button class="ui button primary small" onclick="search()">Search</button>
                <button class="ui button small" onclick="clearSearch()">Clear</button>
            </div>
        </div>
        <table class="ui table small striped selectable unstackable">
            <thead>
                <tr>
                    <th class="@getSortClass(studentInstance.id,asc)"><a href="@getLink(sort,studentInstances,studentInstance.id,asc)">Id</a></th>
                    <th class="@getSortClass(studentInstance.note) mobile-hidden"><a href="@getLink(sort,studentInstances,studentInstance.note)">Note</a></th>
                    <th class="@getSortClass(UserAccount.name)"><a href="@getLink(sort,studentInstances,UserAccount.name)">Student</a></th>
                    <th class="@getSortClass(halaqat.name)"><a href="@getLink(sort,studentInstances,halaqat.name)">Halaqat Name</a></th>
                    <th class="@getSortClass(studentInstance.state)"><a href="@getLink(sort,studentInstances,studentInstance.state)">State</a></th>
                    <th>Actions</th>
                </tr>
            </thead>
            <tbody>
                @foreach ($studentInstances as $studentInstance)
                <tr>
                    <td class="text-center">{{$studentInstance->id}}</td>
                    <td class="mobile-hidden">{{$studentInstance->note}}</td>
                    <td>{{$studentInstance->user_account_name}}</td>
                    <td>{{$studentInstance->halaqat_name}}</td>
                    <td>{{$studentInstance->state}}</td>
                    <td class="text-center">
                        <a class="ui button small" href="/studentInstances/{{$studentInstance->id}}" title="View"><i class="eva eva-eye-outline"></i></a>
                        <a class="ui button small primary" href="/studentInstances/{{$studentInstance->id}}/edit" title="Edit"><i class="eva eva-edit-outline"></i></a>
                        <form action="/studentInstances/{{$studentInstance->id}}" method="POST">
                            @method("DELETE")
                            @csrf
                            <a class="ui button small red" href="#!" onclick="deleteItem(this)" title="Delete"><i class="eva eva-close-outline"></i></a>
                        </form>
                    </td>
                </tr>
                @endforeach
            </tbody>
        </table>
        <div class="ui grid margin-bottom">
            <div class="eight wide mobile four wide tablet four wide computer column">
                <label>Show
                    <select id="page_size" onchange="location = this.value">
                        <option value="@getLink(size,studentInstances,10)" {{request()->input('size') == '10' ? 'selected' : ''}}>10</option>
                        <option value="@getLink(size,studentInstances,20)" {{request()->input('size') == '20' ? 'selected' : ''}}>20</option>
                        <option value="@getLink(size,studentInstances,30)" {{request()->input('size') == '30' ? 'selected' : ''}}>30</option>
                    </select>
                    entries
                </label>
            </div>
            <div class="eight wide mobile twelve wide tablet twelve wide tablet column">
                <div class="float-right mobile-hidden">
                    <ul class="ui pagination menu">
                        <li class="item{{$studentInstances->currentPage() <= 1 ? ' ui disabled' : ''}}"><a href="@getLink(page,studentInstances,$studentInstances->currentPage()-1)">Prev</a></li>
                        @for ($page = 1; $page <= $studentInstances->lastPage(); $page++)
                        <li class="item{{$studentInstances->currentPage() == $page ? ' ui active' : ''}}"><a href="@getLink(page,studentInstances,$page)">{{$page}}</a></li>
                        @endfor
                        <li class="item{{$studentInstances->currentPage() >= $studentInstances->lastPage() ? ' ui disabled' : ''}}"><a href="@getLink(page,studentInstances,$studentInstances->currentPage()+1)">Next</a></li>
                    </ul>
                </div>
                <div class="float-right hidden mobile-visible">
                    <label> Page
                        <select id="page_index" onchange="location = this.value">
                            @for ($page = 1; $page <= $studentInstances->lastPage(); $page++)
                            <option value="@getLink(page,studentInstances,$page)" {{$studentInstances->currentPage() == $page ? 'selected' : ''}}>{{$page}}</option>
                            @endfor
                        </select>
                    </label> of <span>{{$studentInstances->lastPage()}}</span>
                    <div class="ui buttons mini">
                        <a class="ui button primary small{{$studentInstances->currentPage() <= 1 ? ' ui disabled' : ''}}" href="@getLink(page,studentInstances,$studentInstances->currentPage()-1)"><i class="eva eva-arrow-ios-back-outline"></i></a>
                        <a class="ui button primary small{{$studentInstances->currentPage() >= $studentInstances->lastPage() ? ' ui disabled' : ''}}" href="@getLink(page,studentInstances,$studentInstances->currentPage()+1)"><i class="eva eva-arrow-ios-forward-outline"></i></a>
                    </div>
                </div>
            </div>
        </div>
        <a class="ui button small primary" href="/studentInstances/create">Create</a>
    </div>
    <style>
        #searchbar_toggle_menu { display: inline-flex!important }
    </style>
</div>
<script>
    initPage()
</script>
@endsection