@extends('layout')
@section('content')
<div class="ui container">
    <form method="post" action="/userAccounts?ref={{urlencode($ref)}}" class="ui form" onsubmit="return validateForm()">
        @csrf
        <div class="ui grid">
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="user_account_name">Name</label>
                    <input id="user_account_name" name="name" class="ui input" value="{{old('name')}}" required maxlength="50" />
                </div>
                @error('name')<span class="ui red text">{{$message}}</span>@enderror
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="user_account_email">Email</label>
                    <input id="user_account_email" name="email" class="ui input" value="{{old('email')}}" type="email" required maxlength="50" />
                </div>
                @error('email')<span class="ui red text">{{$message}}</span>@enderror
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="user_account_password">Password</label>
                    <input id="user_account_password" name="password" class="ui input" value="{{old('password')}}" type="password" required maxlength="100" />
                </div>
                @error('password')<span class="ui red text">{{$message}}</span>@enderror
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field ui checkbox">
                    <input id="user_account_active" name="active" class="hidden" type="checkbox" value="1" {{old('active') ? 'checked' : ''}} />
                    <label for="user_account_active">Active</label>
                </div>
                @error('active')<span class="ui red text">{{$message}}</span>@enderror
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="user_account_gender">Gender</label>
                    <input id="user_account_gender" name="gender" class="ui input" value="{{old('gender')}}" maxlength="50" />
                </div>
                @error('gender')<span class="ui red text">{{$message}}</span>@enderror
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="user_account_address">Address</label>
                    <input id="user_account_address" name="address" class="ui input" value="{{old('address')}}" maxlength="50" />
                </div>
                @error('address')<span class="ui red text">{{$message}}</span>@enderror
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="user_account_date_of_birth">Date Of Birth</label>
                    <input id="user_account_date_of_birth" name="dateOfBirth" class="ui input" value="{{old('dateOfBirth')}}" data-type="date" autocomplete="off" />
                </div>
                @error('dateOfBirth')<span class="ui red text">{{$message}}</span>@enderror
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="user_account_nationality">Nationality</label>
                    <select id="user_account_nationality" name="nationality" class="ui dropdown">
                        <option></option>
                        @foreach ($countries as $country)
                        <option value="{{$country->id}}" {{old('nationality') == $country->id ? 'selected' : ''}}>{{$country->name}}</option>
                        @endforeach
                    </select>
                </div>
                @error('nationality')<span class="ui red text">{{$message}}</span>@enderror
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="user_account_phone_number">Phone Number</label>
                    <input id="user_account_phone_number" name="phoneNumber" class="ui input" value="{{old('phoneNumber')}}" maxlength="50" />
                </div>
                @error('phoneNumber')<span class="ui red text">{{$message}}</span>@enderror
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="user_account_parent_phone_number">Parent Phone Number</label>
                    <input id="user_account_parent_phone_number" name="parentPhoneNumber" class="ui input" value="{{old('parentPhoneNumber')}}" maxlength="50" />
                </div>
                @error('parentPhoneNumber')<span class="ui red text">{{$message}}</span>@enderror
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="user_account_note">Note</label>
                    <input id="user_account_note" name="note" class="ui input" value="{{old('note')}}" maxlength="50" />
                </div>
                @error('note')<span class="ui red text">{{$message}}</span>@enderror
            </div>
            <div class="sixteen wide column">
                <h3>
                </h3>
                <div class="grouped fields">
                    <div>User Role Role Id</div>
                    @foreach ($roles as $role)
                    <div class="field">
                        <div class="field ui checkbox">
                            <input id="user_role_role_id{{$role->id}}" name="role_id[]" class="hidden" type="checkbox" value="{{$role->id}}" />
                            <label for="user_role_role_id{{$role->id}}">{{$role->name}}</label>
                        </div>
                    </div>
                    @endforeach
                </div>
            </div>
            <div class="sixteen wide column">
                <h3>
                </h3>
                <div class="grouped fields">
                    <div>Student Halaqat Halaqat Id</div>
                    @foreach ($halaqats as $halaqat)
                    <div class="field">
                        <div class="field ui checkbox">
                            <input id="student_halaqat_halaqat_id{{$halaqat->id}}" name="halaqatId[]" class="hidden" type="checkbox" value="{{$halaqat->id}}" />
                            <label for="student_halaqat_halaqat_id{{$halaqat->id}}">{{$halaqat->name}}</label>
                        </div>
                    </div>
                    @endforeach
                </div>
            </div>
            <div class="sixteen wide column">
                <a class="ui button small" href="{{$ref}}">Cancel</a>
                <button class="ui button small primary">Submit</button>
            </div>
        </div>
    </form>
</div>
<script>
    initPage(true)
</script>
@endsection