@extends('layout')
@section('content')
<div class="ui container">
    <div class="sixteen wide column"><input id="searchbar_toggle" type="checkbox" />
        <div id="searchbar" class="ui grid margin-bottom form">
            <div class="sixteen wide three wide computer column">
                <select id="search_col" onchange="searchChange()" class="ui dropdown">
                    <option value="UserAccount.id" data-type="number" {{request()->input('sc') == 'UserAccount.id' ? 'selected' : ''}}>User Account Id</option>
                    <option value="UserAccount.name" {{request()->input('sc') == 'UserAccount.name' ? 'selected' : ''}}>User Account Name</option>
                    <option value="UserAccount.email" {{request()->input('sc') == 'UserAccount.email' ? 'selected' : ''}}>User Account Email</option>
                    <option value="UserAccount.password" {{request()->input('sc') == 'UserAccount.password' ? 'selected' : ''}}>User Account Password</option>
                    <option value="UserAccount.active" {{request()->input('sc') == 'UserAccount.active' ? 'selected' : ''}}>User Account Active</option>
                    <option value="UserAccount.gender" {{request()->input('sc') == 'UserAccount.gender' ? 'selected' : ''}}>User Account Gender</option>
                    <option value="UserAccount.address" {{request()->input('sc') == 'UserAccount.address' ? 'selected' : ''}}>User Account Address</option>
                    <option value="UserAccount.dateOfBirth" data-type="date" {{request()->input('sc') == 'UserAccount.dateOfBirth' ? 'selected' : ''}}>User Account Date Of Birth</option>
                    <option value="UserAccount.nationality" data-type="number" {{request()->input('sc') == 'UserAccount.nationality' ? 'selected' : ''}}>User Account Nationality</option>
                    <option value="UserAccount.phoneNumber" {{request()->input('sc') == 'UserAccount.phoneNumber' ? 'selected' : ''}}>User Account Phone Number</option>
                    <option value="UserAccount.parentPhoneNumber" {{request()->input('sc') == 'UserAccount.parentPhoneNumber' ? 'selected' : ''}}>User Account Parent Phone Number</option>
                    <option value="UserAccount.note" {{request()->input('sc') == 'UserAccount.note' ? 'selected' : ''}}>User Account Note</option>
                </select>
            </div>
            <div class="sixteen wide three wide computer column">
                <select id="search_oper" class="ui dropdown">
                    <option value="c" {{request()->input('so') == 'c' ? 'selected' : ''}}>Contains</option>
                    <option value="e" {{request()->input('so') == 'e' ? 'selected' : ''}}>Equals</option>
                    <option value="g" {{request()->input('so') == 'g' ? 'selected' : ''}}>&gt;</option>
                    <option value="ge" {{request()->input('so') == 'ge' ? 'selected' : ''}}>&gt;&#x3D;</option>
                    <option value="l" {{request()->input('so') == 'l' ? 'selected' : ''}}>&lt;</option>
                    <option value="le" {{request()->input('so') == 'le' ? 'selected' : ''}}>&lt;&#x3D;</option>
                </select>
            </div>
            <div class="sixteen wide three wide computer column">
                <input id="search_word" autocomplete="off" onkeyup="search(event)" value="{{request()->input('sw')}}" class="ui input" />
            </div>
            <div class="sixteen wide seven wide computer column">
                <button class="ui button primary small" onclick="search()">Search</button>
                <button class="ui button small" onclick="clearSearch()">Clear</button>
            </div>
        </div>
        <table class="ui table small striped selectable unstackable">
            <thead>
                <tr>
                    <th class="@getSortClass(UserAccount.id,asc)"><a href="@getLink(sort,userAccounts,UserAccount.id,asc)">Id</a></th>
                    <th class="@getSortClass(UserAccount.name)"><a href="@getLink(sort,userAccounts,UserAccount.name)">Name</a></th>
                    <th class="@getSortClass(UserAccount.email)"><a href="@getLink(sort,userAccounts,UserAccount.email)">Email</a></th>
                    <th class="@getSortClass(UserAccount.password) mobile-hidden"><a href="@getLink(sort,userAccounts,UserAccount.password)">Password</a></th>
                    <th class="@getSortClass(UserAccount.active) mobile-hidden"><a href="@getLink(sort,userAccounts,UserAccount.active)">Active</a></th>
                    <th class="@getSortClass(UserAccount.gender) mobile-hidden"><a href="@getLink(sort,userAccounts,UserAccount.gender)">Gender</a></th>
                    <th class="@getSortClass(UserAccount.address) mobile-hidden"><a href="@getLink(sort,userAccounts,UserAccount.address)">Address</a></th>
                    <th class="@getSortClass(UserAccount.dateOfBirth) mobile-hidden"><a href="@getLink(sort,userAccounts,UserAccount.dateOfBirth)">Date Of Birth</a></th>
                    <th class="@getSortClass(UserAccount.nationality) mobile-hidden"><a href="@getLink(sort,userAccounts,UserAccount.nationality)">Nationality</a></th>
                    <th class="@getSortClass(UserAccount.phoneNumber) mobile-hidden"><a href="@getLink(sort,userAccounts,UserAccount.phoneNumber)">Phone Number</a></th>
                    <th class="@getSortClass(UserAccount.parentPhoneNumber) mobile-hidden"><a href="@getLink(sort,userAccounts,UserAccount.parentPhoneNumber)">Parent Phone Number</a></th>
                    <th class="@getSortClass(UserAccount.note) mobile-hidden"><a href="@getLink(sort,userAccounts,UserAccount.note)">Note</a></th>
                    <th>Actions</th>
                </tr>
            </thead>
            <tbody>
                @foreach ($userAccounts as $userAccount)
                <tr>
                    <td class="text-center">{{$userAccount->id}}</td>
                    <td>{{$userAccount->name}}</td>
                    <td>{{$userAccount->email}}</td>
                    <td class="mobile-hidden">{{$userAccount->password}}</td>
                    <td class="mobile-hidden text-center">{{$userAccount->active}}</td>
                    <td class="mobile-hidden">{{$userAccount->gender}}</td>
                    <td class="mobile-hidden">{{$userAccount->address}}</td>
                    <td class="mobile-hidden text-center">{{$userAccount->dateOfBirth}}</td>
                    <td class="mobile-hidden text-right">{{$userAccount->nationality}}</td>
                    <td class="mobile-hidden">{{$userAccount->phoneNumber}}</td>
                    <td class="mobile-hidden">{{$userAccount->parentPhoneNumber}}</td>
                    <td class="mobile-hidden">{{$userAccount->note}}</td>
                    <td class="text-center">
                        <a class="ui button small" href="/userAccounts/{{$userAccount->id}}" title="View"><i class="eva eva-eye-outline"></i></a>
                        <a class="ui button small primary" href="/userAccounts/{{$userAccount->id}}/edit" title="Edit"><i class="eva eva-edit-outline"></i></a>
                        <form action="/userAccounts/{{$userAccount->id}}" method="POST">
                            @method("DELETE")
                            @csrf
                            <a class="ui button small red" href="#!" onclick="deleteItem(this)" title="Delete"><i class="eva eva-close-outline"></i></a>
                        </form>
                    </td>
                </tr>
                @endforeach
            </tbody>
        </table>
        <div class="ui grid margin-bottom">
            <div class="eight wide mobile four wide tablet four wide computer column">
                <label>Show
                    <select id="page_size" onchange="location = this.value">
                        <option value="@getLink(size,userAccounts,10)" {{request()->input('size') == '10' ? 'selected' : ''}}>10</option>
                        <option value="@getLink(size,userAccounts,20)" {{request()->input('size') == '20' ? 'selected' : ''}}>20</option>
                        <option value="@getLink(size,userAccounts,30)" {{request()->input('size') == '30' ? 'selected' : ''}}>30</option>
                    </select>
                    entries
                </label>
            </div>
            <div class="eight wide mobile twelve wide tablet twelve wide tablet column">
                <div class="float-right mobile-hidden">
                    <ul class="ui pagination menu">
                        <li class="item{{$userAccounts->currentPage() <= 1 ? ' ui disabled' : ''}}"><a href="@getLink(page,userAccounts,$userAccounts->currentPage()-1)">Prev</a></li>
                        @for ($page = 1; $page <= $userAccounts->lastPage(); $page++)
                        <li class="item{{$userAccounts->currentPage() == $page ? ' ui active' : ''}}"><a href="@getLink(page,userAccounts,$page)">{{$page}}</a></li>
                        @endfor
                        <li class="item{{$userAccounts->currentPage() >= $userAccounts->lastPage() ? ' ui disabled' : ''}}"><a href="@getLink(page,userAccounts,$userAccounts->currentPage()+1)">Next</a></li>
                    </ul>
                </div>
                <div class="float-right hidden mobile-visible">
                    <label> Page
                        <select id="page_index" onchange="location = this.value">
                            @for ($page = 1; $page <= $userAccounts->lastPage(); $page++)
                            <option value="@getLink(page,userAccounts,$page)" {{$userAccounts->currentPage() == $page ? 'selected' : ''}}>{{$page}}</option>
                            @endfor
                        </select>
                    </label> of <span>{{$userAccounts->lastPage()}}</span>
                    <div class="ui buttons mini">
                        <a class="ui button primary small{{$userAccounts->currentPage() <= 1 ? ' ui disabled' : ''}}" href="@getLink(page,userAccounts,$userAccounts->currentPage()-1)"><i class="eva eva-arrow-ios-back-outline"></i></a>
                        <a class="ui button primary small{{$userAccounts->currentPage() >= $userAccounts->lastPage() ? ' ui disabled' : ''}}" href="@getLink(page,userAccounts,$userAccounts->currentPage()+1)"><i class="eva eva-arrow-ios-forward-outline"></i></a>
                    </div>
                </div>
            </div>
        </div>
        <a class="ui button small primary" href="/userAccounts/create">Create</a>
    </div>
    <style>
        #searchbar_toggle_menu { display: inline-flex!important }
    </style>
</div>
<script>
    initPage()
</script>
@endsection