@extends('layout')
@section('content')
<div class="ui container">
    <div class="ui form">
        <div class="ui grid">
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="user_account_id">Id</label>
                    <input readonly id="user_account_id" name="id" class="ui input" value="{{$userAccount->id}}" type="number" required />
                </div>
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="user_account_name">Name</label>
                    <input readonly id="user_account_name" name="name" class="ui input" value="{{$userAccount->name}}" required maxlength="50" />
                </div>
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="user_account_email">Email</label>
                    <input readonly id="user_account_email" name="email" class="ui input" value="{{$userAccount->email}}" type="email" required maxlength="50" />
                </div>
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="user_account_password">Password</label>
                    <input readonly id="user_account_password" name="password" class="ui input" value="{{$userAccount->password}}" required maxlength="100" />
                </div>
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field ui checkbox">
                    <input readonly id="user_account_active" name="active" class="hidden" type="checkbox" value="1" {{$userAccount->active ? 'checked' : ''}} />
                    <label for="user_account_active">Active</label>
                </div>
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="user_account_gender">Gender</label>
                    <input readonly id="user_account_gender" name="gender" class="ui input" value="{{$userAccount->gender}}" maxlength="50" />
                </div>
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="user_account_address">Address</label>
                    <input readonly id="user_account_address" name="address" class="ui input" value="{{$userAccount->address}}" maxlength="50" />
                </div>
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="user_account_date_of_birth">Date Of Birth</label>
                    <input readonly id="user_account_date_of_birth" name="dateOfBirth" class="ui input" value="{{$userAccount->dateOfBirth}}" data-type="date" autocomplete="off" />
                </div>
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="user_account_nationality">Nationality</label>
                    <input readonly id="user_account_nationality" name="nationality" class="ui input" value="{{$userAccount->nationality}}" type="number" />
                </div>
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="user_account_phone_number">Phone Number</label>
                    <input readonly id="user_account_phone_number" name="phoneNumber" class="ui input" value="{{$userAccount->phoneNumber}}" maxlength="50" />
                </div>
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="user_account_parent_phone_number">Parent Phone Number</label>
                    <input readonly id="user_account_parent_phone_number" name="parentPhoneNumber" class="ui input" value="{{$userAccount->parentPhoneNumber}}" maxlength="50" />
                </div>
            </div>
            <div class="sixteen wide eight wide tablet five wide computer column">
                <div class="field">
                    <label for="user_account_note">Note</label>
                    <input readonly id="user_account_note" name="note" class="ui input" value="{{$userAccount->note}}" maxlength="50" />
                </div>
            </div>
            <div class="sixteen wide column">
                <a class="ui button small" href="{{$ref}}">Back</a>
                <a class="ui button small primary" href="/userAccounts/{{$userAccount->id}}/edit?ref={{urlencode($ref)}}">Edit</a>
            </div>
        </div>
    </div>
</div>
<script>
    initPage(true)
</script>
@endsection