@extends('layout')
@section('content')
<div class="ui container">
    <div class="sixteen wide column"><input id="searchbar_toggle" type="checkbox" />
        <div id="searchbar" class="ui grid margin-bottom form">
            <div class="sixteen wide three wide computer column">
                <select id="search_col" onchange="searchChange()" class="ui dropdown">
                    <option value="UserRole.user_id" data-type="number" {{request()->input('sc') == 'UserRole.user_id' ? 'selected' : ''}}>User Role User Id</option>
                    <option value="UserRole.role_id" data-type="number" {{request()->input('sc') == 'UserRole.role_id' ? 'selected' : ''}}>User Role Role Id</option>
                </select>
            </div>
            <div class="sixteen wide three wide computer column">
                <select id="search_oper" class="ui dropdown">
                    <option value="c" {{request()->input('so') == 'c' ? 'selected' : ''}}>Contains</option>
                    <option value="e" {{request()->input('so') == 'e' ? 'selected' : ''}}>Equals</option>
                    <option value="g" {{request()->input('so') == 'g' ? 'selected' : ''}}>&gt;</option>
                    <option value="ge" {{request()->input('so') == 'ge' ? 'selected' : ''}}>&gt;&#x3D;</option>
                    <option value="l" {{request()->input('so') == 'l' ? 'selected' : ''}}>&lt;</option>
                    <option value="le" {{request()->input('so') == 'le' ? 'selected' : ''}}>&lt;&#x3D;</option>
                </select>
            </div>
            <div class="sixteen wide three wide computer column">
                <input id="search_word" autocomplete="off" onkeyup="search(event)" value="{{request()->input('sw')}}" class="ui input" />
            </div>
            <div class="sixteen wide seven wide computer column">
                <button class="ui button primary small" onclick="search()">Search</button>
                <button class="ui button small" onclick="clearSearch()">Clear</button>
            </div>
        </div>
        <table class="ui table small striped selectable unstackable">
            <thead>
                <tr>
                    <th class="@getSortClass(UserRole.user_id,asc)"><a href="@getLink(sort,userRoles,UserRole.user_id,asc)">User Id</a></th>
                    <th class="@getSortClass(UserRole.role_id)"><a href="@getLink(sort,userRoles,UserRole.role_id)">Role Id</a></th>
                    <th>Actions</th>
                </tr>
            </thead>
            <tbody>
                @foreach ($userRoles as $userRole)
                <tr>
                    <td class="text-center">{{$userRole->user_id}}</td>
                    <td class="text-center">{{$userRole->role_id}}</td>
                    <td class="text-center">
                        <a class="ui button small" href="/userRoles/{{$userRole->user_id}}/{{$userRole->role_id}}" title="View"><i class="eva eva-eye-outline"></i></a>
                        <a class="ui button small primary" href="/userRoles/{{$userRole->user_id}}/{{$userRole->role_id}}/edit" title="Edit"><i class="eva eva-edit-outline"></i></a>
                        <form action="/userRoles/{{$userRole->user_id}}/{{$userRole->role_id}}" method="POST">
                            @method("DELETE")
                            @csrf
                            <a class="ui button small red" href="#!" onclick="deleteItem(this)" title="Delete"><i class="eva eva-close-outline"></i></a>
                        </form>
                    </td>
                </tr>
                @endforeach
            </tbody>
        </table>
        <div class="ui grid margin-bottom">
            <div class="eight wide mobile four wide tablet four wide computer column">
                <label>Show
                    <select id="page_size" onchange="location = this.value">
                        <option value="@getLink(size,userRoles,10)" {{request()->input('size') == '10' ? 'selected' : ''}}>10</option>
                        <option value="@getLink(size,userRoles,20)" {{request()->input('size') == '20' ? 'selected' : ''}}>20</option>
                        <option value="@getLink(size,userRoles,30)" {{request()->input('size') == '30' ? 'selected' : ''}}>30</option>
                    </select>
                    entries
                </label>
            </div>
            <div class="eight wide mobile twelve wide tablet twelve wide tablet column">
                <div class="float-right mobile-hidden">
                    <ul class="ui pagination menu">
                        <li class="item{{$userRoles->currentPage() <= 1 ? ' ui disabled' : ''}}"><a href="@getLink(page,userRoles,$userRoles->currentPage()-1)">Prev</a></li>
                        @for ($page = 1; $page <= $userRoles->lastPage(); $page++)
                        <li class="item{{$userRoles->currentPage() == $page ? ' ui active' : ''}}"><a href="@getLink(page,userRoles,$page)">{{$page}}</a></li>
                        @endfor
                        <li class="item{{$userRoles->currentPage() >= $userRoles->lastPage() ? ' ui disabled' : ''}}"><a href="@getLink(page,userRoles,$userRoles->currentPage()+1)">Next</a></li>
                    </ul>
                </div>
                <div class="float-right hidden mobile-visible">
                    <label> Page
                        <select id="page_index" onchange="location = this.value">
                            @for ($page = 1; $page <= $userRoles->lastPage(); $page++)
                            <option value="@getLink(page,userRoles,$page)" {{$userRoles->currentPage() == $page ? 'selected' : ''}}>{{$page}}</option>
                            @endfor
                        </select>
                    </label> of <span>{{$userRoles->lastPage()}}</span>
                    <div class="ui buttons mini">
                        <a class="ui button primary small{{$userRoles->currentPage() <= 1 ? ' ui disabled' : ''}}" href="@getLink(page,userRoles,$userRoles->currentPage()-1)"><i class="eva eva-arrow-ios-back-outline"></i></a>
                        <a class="ui button primary small{{$userRoles->currentPage() >= $userRoles->lastPage() ? ' ui disabled' : ''}}" href="@getLink(page,userRoles,$userRoles->currentPage()+1)"><i class="eva eva-arrow-ios-forward-outline"></i></a>
                    </div>
                </div>
            </div>
        </div>
        <a class="ui button small primary" href="/userRoles/create">Create</a>
    </div>
    <style>
        #searchbar_toggle_menu { display: inline-flex!important }
    </style>
</div>
<script>
    initPage()
</script>
@endsection