<?php

use App\Http\Controllers\Auth\LoginController;
use App\Http\Controllers\SystemController;
use App\Http\Controllers\UserRoleController;
use App\Http\Controllers\CentersController;
use App\Http\Controllers\CountryController;
use App\Http\Controllers\RoleController;
use App\Http\Controllers\SettingsController;
use App\Http\Controllers\EvaluationController;
use App\Http\Controllers\StudentInstanceController;
use App\Http\Controllers\ReportCardController;
use App\Http\Controllers\ExamController;
use App\Http\Controllers\InstancesController;
use App\Http\Controllers\DepartmentsController;
use App\Http\Controllers\QuranController;
use App\Http\Controllers\StudentHalaqatController;
use App\Http\Controllers\UserAccountController;
use App\Http\Controllers\HalaqatController;

Auth::routes();
Route::group(['middleware' => 'auth'], function() {
    Route::get('/', function () { return redirect('/home'); });
    Route::get('/home', [ SystemController::class, 'home' ]);
    Route::get('/profile', [ SystemController::class, 'profile' ]);
    Route::post('/updateProfile', [ SystemController::class, 'updateProfile' ]);
    Route::middleware('role:ADMIN')->resource('/userRoles', UserRoleController::class);
    Route::middleware('role:ADMIN')->resource('/centerses', CentersController::class);
    Route::middleware('role:ADMIN')->resource('/countries', CountryController::class);
    Route::middleware('role:ADMIN')->resource('/roles', RoleController::class);
    Route::middleware('role:ADMIN')->resource('/settingses', SettingsController::class);
    Route::middleware('role:ADMIN,CENTRALADMIN,DEPADMIN,TEACHER,USER')->resource('/evaluations', EvaluationController::class);
    Route::middleware('role:ADMIN,TEACHER')->resource('/studentInstances', StudentInstanceController::class);
    Route::middleware('role:ADMIN,TEACHER')->resource('/reportCards', ReportCardController::class);
    Route::middleware('role:ADMIN,CENTRALADMIN,DEPADMIN,TEACHER,USER')->resource('/exams', ExamController::class);
    Route::middleware('role:ADMIN,CENTRALADMIN,DEPADMIN,STUDENT,TEACHER,USER')->resource('/instanceses', InstancesController::class);
    Route::middleware('role:ADMIN')->resource('/departmentses', DepartmentsController::class);
    Route::middleware('role:ADMIN')->resource('/qurans', QuranController::class);
    Route::middleware('role:ADMIN,CENTRALADMIN,DEPADMIN,STUDENT,TEACHER,USER')->resource('/studentHalaqats', StudentHalaqatController::class);
    Route::middleware('role:ADMIN,CENTRALADMIN,DEPADMIN,STUDENT,TEACHER,USER')->resource('/userAccounts', UserAccountController::class);
    Route::middleware('role:ADMIN,CENTRALADMIN,DEPADMIN,STUDENT,TEACHER,USER')->resource('/halaqats', HalaqatController::class);
    Route::middleware('role:ADMIN')->get('/userRoles/{user_id}/{role_id}', [ UserRoleController::class, 'show' ]);
    Route::middleware('role:ADMIN')->get('/userRoles/{user_id}/{role_id}/edit', [ UserRoleController::class, 'edit' ]);
    Route::middleware('role:ADMIN')->patch('/userRoles/{user_id}/{role_id}', [ UserRoleController::class, 'update' ]);
    Route::middleware('role:ADMIN')->delete('/userRoles/{user_id}/{role_id}', [ UserRoleController::class, 'destroy' ]);
    Route::middleware('role:ADMIN,CENTRALADMIN,DEPADMIN,STUDENT,TEACHER,USER')->get('/studentHalaqats/{studentId}/{halaqatId}', [ StudentHalaqatController::class, 'show' ]);
    Route::middleware('role:ADMIN,CENTRALADMIN,DEPADMIN,STUDENT,TEACHER,USER')->get('/studentHalaqats/{studentId}/{halaqatId}/edit', [ StudentHalaqatController::class, 'edit' ]);
    Route::middleware('role:ADMIN,CENTRALADMIN,DEPADMIN,STUDENT,TEACHER,USER')->patch('/studentHalaqats/{studentId}/{halaqatId}', [ StudentHalaqatController::class, 'update' ]);
    Route::middleware('role:ADMIN,CENTRALADMIN,DEPADMIN,STUDENT,TEACHER,USER')->delete('/studentHalaqats/{studentId}/{halaqatId}', [ StudentHalaqatController::class, 'destroy' ]);
});
Route::get('/logout', [ LoginController::class, 'logout' ]);
Route::get('/resetPassword', [ LoginController::class, 'resetPassword' ]);
Route::post('/resetPassword', [ LoginController::class, 'resetPasswordPost' ]);
Route::get('/changePassword/{token}', [ LoginController::class, 'changePassword' ]);
Route::post('/changePassword/{token}', [ LoginController::class, 'changePasswordPost' ]);
Route::get('/stack', [ SystemController::class, 'stack' ]);
